2026-01-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Exclude setTitle function and functions with expression containing "plot(" from calculate-as-you-type

2026-01-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix curly brackets replaced with parentheses in subfunctions (interferes with default values)

2026-01-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix tab completion, when pressing shortcut key multiple times

2026-01-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Support X, Y, and Z (uppercase) without backslash for function creation

2026-01-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Call gtk_clipboard_set_can_store() after result has been copied to preserve clipboard contents after exit
	* Do not show function help in status after expression has been calculated (using Enter or =)

2025-12-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Customizable result widget height (in preferences)
	* Do not show completion for x, y, and z if expression contains (elsewhere) x, y, or z variable
	* Hide remember position and keep above options, in preferences, on Wayland

2025-12-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not show completion when editing hexadecimal or duodecimal number (using "0x"/"0d"), or text argument
	* Add --update-exchange-rates command line option

2025-12-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not show calculate-as-you-type result for incomplete object name (e.g. "integ" interpreted as "int(e*g)")
	* Do not show completion when input base uses non-digits, characters are preceded by backslash, or text is directly after quotation mark
	* Fix delayed completion when tooltip is visible on Wayland
	* Lower the maximum number of completion items visible on Wayland
	* Fix slowdown in some unusual cases with conversion operator
	* Improve decision to not calculate or not show result in Gnome search provider

2025-11-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to show result above expression

2025-11-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove intltool

2025-11-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not perform calculate-as-you-type when currently edited function has too few arguments

2025-11-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Highlight unmatched parenthesis (with red color)
	* Option to colorize background of highlighted parenthesis when light theme is used

2025-11-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix inconsistent output of parsed expression with quoted curly brackets

2025-10-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix opening of menu in menubar when completion list is visible, in Wayland

2025-10-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Ellipsize long titles in completion list

2025-10-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option, in preferences, to change the local currency
	* Improve interpretation of function expressions with x, y, and/or z in object names (e.g. "x year"), and/or within quotation marks (e.g. "x*code('x')")

2025-10-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix replace expression with result when result text is formatted (e.g. exponent)
	* Fix input of result text in expression when local digit grouping with comma or dot as separator is active and ignore comma/dot is not
	* Always clear result after Enter in RPN mode regardless of expression after calculation setting

2025-10-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Customizable digit group size and separator

2025-10-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix warnings when updating completion with preferences dialog not opened
	* Include prefix in character count for completion of prefix + unit with minimum completion length > 1
	* Fix minimum completion length for text string with Unicode characters
	* Increase responsivenes by decreasing the length of sleep periods (from 10 to 1 ms) while waiting

2025-10-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix wrong equals (not approximately) sign potentially shown in units and variables dialogs

2025-10-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not input plural names of units

2025-09-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Replace "MeV/c^2" and "MeV*c^(-2)" with "MeV/c²" in titles

2025-09-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improve handling of hidden units (e.g. kph and cc) in completion and conversion menu
	* Avoid slow display of extreme numbers (> 2^10000000) with calculate-as-you-type

2025-09-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show warning and ask for confirmation when deactivating interval arithmetic
	* (Re)activate interval arithmetic in qalc (if configuration from prevision version)

2025-09-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix title matching for word preceded by parenthesis
	* Match object name on words after underscore (e.g. oz in fl_oz)
	* Fix restoring of expression after command when expression is not kept after calculation
	* Improve "to mixed" (without preceding expression)

2025-09-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improve filtering of items in conversion menu
	* Avoid possible freeze with malformed "to" expression

2025-09-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show warning about default assumptions the first time an equation is solved
	* Show warning symbol when calculate as you type expression results in a question
	* Add output in scientific (sci), engineering (eng), or simple notation as "to"-operator options
	* Do not group digits in exponent in floating point conversion dialog
	* Fix dot/comma and sinc interpretation dialogs after calculate as you type result is automatically added to history
	* Do not show calculate as you type result for data set function with "info" (default) as second argument

2025-08-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix floating point value, in floating point conversion dialog, for extended and microchip formats

2025-08-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Automatically calculate expression selection (if calculate-as-you-type is enabled; shown in status field after 500 ms)
	* Enable calculate-as-you-type by default

2025-08-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option (in popup menu) to add or edit comment in history; Add option (in preferences) to clear expression or replace with result

2025-08-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix custom time zone in calculate-as-you-type result when added to history (after delay)

2025-08-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improve avoidance of unusable prefix and unit combinations in completion
	* Do not show prefixes not recommended for specific unit (e.g. only show binary prefixes for information units) in completion
	* Show conversion suggestions from the unit category in both input and output if base unit is the same (e.g. typography and length units)

2025-08-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Replace edit-clear icon on keypad button with "C"

2025-07-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not add linebreak in history after OR if result does not contain (in)equality

2025-07-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Always set "Enter" as default action in insert function dialog in RPN mode
	* Update state of "Apply to Stack" button, in insert function dialog, when RPN stack size changes
	* Update insert function dialogs when RPN mode is (de)activated

2025-07-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Ask for interpretation of comma (when comma is not default decimal separator)
	* Automatically enable "Use comma as decimal separator" and "Ignore dots in numbers" when local digit grouping, with dot as thousands separator, is selected

2025-07-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use icon (edit-clear) for "AC" button
	* Restore editing of all right-hand side buttons
	* Add support for "to 1/n" as alternative to "to fraction"

2025-07-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Automatically disable "Use comma as decimal separator" and enable "Ignore comma in numbers" when local digit grouping, with comma as thousands separator, is selected

2025-06-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix segfault caused by title (e.g. generated from value of variable created by user) cut of in the middle of a Unicode character

2025-06-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix copy result to clipboard (and inconsequential crash after any action) in Gnome shell search provider

2025-06-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Only display completion for empty string when "to" expression is empty

2025-05-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Disable calculate as you type for expression containing export, load, or command function (in addition to save and plot)

2025-05-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix expression status for multiple "to" expression without preceding expression (not supported)

2025-05-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Accept dialog input (as OK pressed) when creating history bookmark, and when pressing enter in last entry in set unknowns dialog
	* Use tabular numbers (tnum) font feature for binary number in result view
	* Add "-" after unit prefix symbol (k and M excluded), in completion list, to indicate that it must be followed by a unit
	* Do not allow conversion using "to" in function expression (in edit function dialog)


2025-06-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Only display completion for empty string when "to" expression is empty
	* Disable calculate as you type for expression containing export, load, or command function (in addition to save and plot)
	* Fix expression status for multiple "to" expressions without preceding expression (not supported)

2025-06-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix copy result to clipboard (and crash after any action) in Gnome shell search provider

2025-05-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow enter to accept input when creating history bookmark, and in last entry in set unknowns dialog
	* Use tabular numbers (tnum) font feature for binary number in result view
	* Add "-" after unit prefix symbol (k and M excluded) to indicate that it must be followed by a unit
	* Do not allow conversion using "to" in function expression (in edit function dialog)

2025-04-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use tabular numbers (tnum) font feature in results in history and RPN stack
	* Fix use of custom history font in RPN stack

2025-03-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use LANGUAGE instead of LANG environment variable on Windows in order to avoid changing regional format settings

2025-03-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use selection (as if button was clicked) if RPN stack is visible when using keyboard shortcut for RPN operation

2025-03-06 howaboutuser <120489523+howaboutuser@users.noreply.github.com>

	* Add traditional Chinese translation

2025-03-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add support for display of repeating decimals using overline (vinculum)
	* Fix ""x ➞" ("to") button label

2025-03-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix empty category field in matrix/vector edit dialog
	* Remove inactive or hidden objects from recent items in menus

2025-02-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix state of "Keep above other windows" in preferences, when setting has been changed using keyboard shortcut, after the preferences window has been opened
	* Use step size 2 for plot sampling rate (since the actual number of samples is the same as one below for even values)
	* Remove confusing MRC name/symbol from MR (memory recall) variable

2025-02-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Indicate input and output base using overline and underline in programming keypad when input and output base differs

2025-02-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix previous result displayed with changed output format despite cleared result after modified input format

2025-02-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix expression field appearance with Breeze theme when compiled against gtk < 3.18 and run agains gtk >= 3.22 (e.g. with self-contained GNU/Linux binaries)

2025-02-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Disable "Use keyboard keys for RPN" when RPN syntax is enabled

2025-02-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix roman numerals in number base keypad menu
	* Fix roman numerals expression base button in number bases dialog

2025-02-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix keyboard shortcut input dialog when modifier is released first

2025-02-11 Frédéric Brière <fbriere@fbriere.net>

	* Various manual languange fixes

2025-02-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Enable Ok button when unit descriptions has changed

2025-02-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Tooltips improvements and fixes

2025-02-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix updating of show parsed expression in result field in preferences in some cases when changed from context menu
	* Update show expression status in preferences when changed from context menu

2025-02-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix mode menu items sometimes not functioning properly after a mode has been added or removed

2025-01-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix right status context menu not updated (one step behind)
	* Fix mnemonics conflicts

2025-01-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix segfault when deleting object

2025-01-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not add hidden or inactive user object to menu
	* Do not add new/edited hidden or inactive object to recent objects in menu

2025-01-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix copy unformatted ASCII without units when unit is placed before quantity (when unit is a currency)

2025-01-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix date (month off by one), after "Search by Date…", in history context menu

2024-12-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Set ans variable, and return value of answer(), to solution(s) of equation (as if solve() were used)

2024-12-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to disable cursor blinking

2024-11-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix updating of programming keypad result before any calculation has occurrred
	* Do not show optional arguments when minimum number of arguments is two or more (affects gcd, lcm, and parallel) in insert function dialog

2024-11-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix exclusion of optional arguments (when empty or default value) from output of insert function dialog
	* Fix initial selection, and expression selection replacement, in insert function dialog

2024-11-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to specify number of displayed significant digits (instead of using precision) in decimals dialog

2024-11-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix double separator after all history results removed from an expression (the expression is consequently also removed)
	* Avoid output of very long vectors and matrices in part of result
	* Fix number of binary bits shown for negative result in programming keypad
	* Fix "fgalpha" not support warning with old Pango versions
	* Fix precision in Preset mode
	* Improve calculation of HTML string (result) length
	* Improve decision to automatically convert unchanged quantity with unit

2024-11-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix keyboard shortcut with copy followed by quit

2024-10-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix number base subscripts (not shown as subscripts) in programming keypad

2024-10-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option, in Edit menu, to open settings folder

2024-10-19 ovari <17465872+ovari@users.noreply.github.com>

	* Add Hungarian translation

2024-10-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improve handling of (too) long results with calculate-as-you-type

2024-10-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Reset special duodecimal symbols property after use of "doz"/"dozenal" conversion, and do not change the property for "duo"/"duodecimal" conversion
	* Fix input of max history lines for value not multiple of 100

2024-10-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Chain mode fix for comma as decimal separator, and function when in parenthesis

2024-09-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix overwrite mode for operators and objects in expression field, and for operators in other entries

2024-09-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Apply continuous conversion when conversion view is opened again
	* Fix menu of "to" keypad button with old Gtk versions

2024-09-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Place "Enable Unicode symbols" and "Ignore system language" immediately above language selection menu in preferences
	* Add support for "unkeep" qalc command

2024-09-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Clear all other fields when edited field is empty in number bases and floating point conversion dialogs
	* Fix "no trigger event for menu popup" warning for long press on keypad button with menu
	* Improve decision when to show "Exact" item in result popup menu

2024-09-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix hover state of keypad del and arrow buttons after long press
	* Fixes for custom status and expression fonts

2024-09-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix hiding of tooltips in menus

2024-09-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update parsed expression and update or clear result if variable, function, or unit in expression has changed
	* Fix copy unformatted ascii without units when decimal separator is comma
	* Fix insert date (missing quotation marks) when data variable name is selected
	* Support x without backslash for custom function argument condition
	* Support "sci" and "eng" abbreviations for "exp" option in qalc set command
	* Do not reduce zoom level if <= 0.11 (instead of 0.1 to avoid zero zoom level) and disable zoom out button when zoom level cannot be further reduced, in help window

2024-08-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow unit expressions (and not only single units) for insert unit action (for custom shortcuts and buttons)
	* Close expression completion list when menu in menubar is opened

2024-08-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not set initial value in percentage calculation tool dialog if number base is not decimal
	* Fix Up and Down item in context menu of RPN stack
	* Improve handling of errors when calculate-as-you-type result is displayed in status area
	* Improve handling of current result (use value not text) and initial focus in number bases and floating point conversion dialogs

2024-08-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Code restructuring (split up in multiple files)

2024-07-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show language menu in preferences on all platforms and use LANGUAGE and LC_MESSAGES, instead of LANG, environment variables on platforms other than Windows

2024-07-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improved category sorting
	* Fix workaround for tiny exponents in prefix menus

2024-07-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not show "Couldn't write preferences" dialog if configuration file is a symlink
	* Do not use variable length array (for compatibility reasons)

2024-06-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use Pango and GTK version information from library linked, instead of compiled, against in some cases
	* Remove "Show Parsed Expression in Result Field" from Mode menu
	* Option to save history to separate file
	* Fix window (e.g. units window) empty when opened a second time

2024-06-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Save date and time for history items, add search by date, and show date of selected history item in search by date context menu item

2024-06-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add max history lines saved configuration to preferences
	* Remove current expression from history on expression history clear

2024-06-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove current expression from history on expression history clear

2024-06-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix subsequent tab completions after completion of unit with prefix
	* Workaround for extremely small superscript and subscript with some fonts and on Windows with scaling >= 200%

2024-05-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix element index in matrix dialogs (show row before column)

2024-05-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix updating of self-contained binaries from GUI

2024-04-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Ask for the desired interpretation the first time percent addition is used (e.g. 100 + 10% equals 110 or 100.1)

2024-04-17 Hugo Carvalho <hugokarvalho@hotmail.com>

	* Portuguese (Portugal) translation

2024-04-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option show parsed expression in result field

2024-04-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix AltGr includes Control modifier on Windows (fixes * and ^ with Czech QWERTY)
	* Add Download button to new update available dialog on Windows
	* Do not used a fixed URL for update of self-contained package

2024-03-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add two's complement input and binary bits to preferences, and preserve these settings when leaving programming keypad

2024-03-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not use Unicode minus in exponent of hexadecimal floating-point literals using 0x...p... notation

2024-03-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add developer id to metadata

2024-02-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add retry and cancel options (and change Ok to Ignore) to error dialog after failure to save preferences or definitions

2024-02-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add new rounding methods
	* Uses parentheses for numbers with scientific notation in more cases
	* Use 1 as first index in binary number

2024-01-31 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add output of hexadecimal floating-point literals to floating point conversion window

2024-01-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Always show binary position numbers in result if numbers of bits are higher than 16, and improve appearance
	* Click on binary number in result to flip bit
	* Remove "ALL" button (opened number bases dialog) from programming keypad
	* Add selection of number of bits (affects input and output of binary and hexadecimal numbers, and default number of bits for "cmp" and "rot") to programming keypad
	* Fix conversion to angle unit for complex angle, cis and polar forms
	* Suggest conversion to angle unit when expression contains inverse trigonometric function

2024-01-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix x and y are reversed for paired matrix when using plot dialog
	* Add support for "decimals" "to"-conversion (display as decimal fraction)

2023-12-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Place non-object (e.g. "Fraction") items first in completion (with emty "to"-expression) and conversion lists and add separator in conversion menu before object (e.g. units) items
	* Make suggestions for multiple unit categories, in "to"-conversion completion and menu, if no single matching unit (category) is found for expression

2023-12-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update menu of to-button in keypad (use completion list and add symbol to item title)
	* Fix category matching (in completion and conversion view) for volume units in subcategories (U.S., imperial, and cooking units)
	* Convert to simple fraction if value only contains integers, when converting to fixed denominator
	* Add optimal prefix conversion using "to prefix";

2023-12-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add last result to stack when pressing Enter with empty expression (was unintentionally disabled)

2023-11-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add result to history even if both expression and result are identical if expression contains a function generating a random number

2023-10-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Support for specifying a fixed denominator for display of fractions (using menu items or to-conversion, e.g. "to 1/8")
	* Menu items for percent and permille fraction formats

2023-10-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix case insensitive comparison for strings with more than two or more consecutive Unicode characters
	* Prefer capitalized function name (over name with underscore), when completing function name

2023-10-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Apply exact behaviour of PageUp/PageDown keys to keypad up/down button, and fix sefault in some cases with unfinished input when cycling through history both using keyboard and keypad

2023-10-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Change order of up and down symbols for cycle through previous expressions keypad button, in order to match keyboard arrow key actions

2023-09-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improve decision to (not) update calculate-as-you-type result when last character is an operator

2023-09-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update calculate-as-you-type result even if last character is an operator, if cursor is not at the end of the expression

2023-09-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Auto-update number bases above programming keypad when entering simple integers, even if calculate-as-you-type is deactivated

2023-08-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make closing of application with Escape key optional (enabled by default if system tray icon is used)
	* Add temporary option to unknown edit dialog
	* Disable editing of name for x, y, and z variables
	* Fix "E" at end of longitude

2023-08-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add support for concise and relative interval input and output
	* Fix initial height of list and description in units window

2023-07-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add Microship (PIC16/17) 24 and 32 bit floating point formats

2023-07-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show user-defined objects in a separate category in menus and dialogs (as in qalculate-qt)
	* Update CSV import and export dialogs to match the corresponding dialogs in qalculate-qt
	* Do not change the width of the (de)activate button when the label text changes;

2023-07-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to disable tooltips (all or only in keypad)

2023-07-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update variable, function, unit, unknown, and matrix edit dialogs to match the corresponding dialogs in qalculate-qt

2023-06-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add optional value to copy result action, allowing expression copy and formatting selection
	* Improve tooltip and list text for custom buttons
	* Do not remove leading and trailing spaces from text action value

2023-06-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to exclude units for unformatted ascii copy
	* Add toggle precision, and min, max, or min and max decimals to available shortcut and button actions
	* Allow multiple actions for keyboard shortcuts

2023-05-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add support for custom angle units, add all available angle units to the mode menu, and fix selected angle unit in other menus (add hidden item for angle units not available in menu)

2023-04-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix copy unformatted ascii when local digit group separator is same as selected decimal separator

2023-04-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix Gnome shell search provider segfault, likely related to changes in glib 2.76
	* Support webkitgtk version in configure options (e.g. --with-webkitgtk=4.1)

2023-02-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show value of local variables using current output options in completion list

2023-02-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Language selection in preferences on Windows
	* Improve detection of default UI language and make GUI language consistent with libqalculate language on Windows

2023-02-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not show prefix + unit in completion list if conflicts with variable or function

2023-02-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fixes for scientific notation with bases other than 10
	* Fix completion list with a single item for some GTK themes (e.g. Breeze, Ambiance)

2023-02-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use Unicode symbol for minus in scientific e notation

2023-01-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option, in preferences, to change symbols used for output of digits 10 and 11 in duodecimal numbers (new default is A and B)

2023-01-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Place "Inactive" at top of categories list

2022-12-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Align completion list to beginning of word

2022-12-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix opening customize keypad buttons a second time after the window has been closed with method other than using the close button
	* Fix title of customize keypad buttons window

2022-12-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fixes for completion list opened upwards
	* Disable Apply, in functions dialog, for log() function

2022-12-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix output of result when factorization conversion specified in expression (e.g. "350 to factors"), and when conversion is performed using a separate expression (e.g. "520 m" ENTER "to ft" ENTER)

2022-11-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use history font for RPN stack list

2022-10-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix unit names dialog

2022-09-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show exchange rates source (and update time) for current calculation in tooltip

2022-09-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add "Clear history" to available keyboard shortcut and button actions
	* Add support for "clear" and "clear history" qalc commands
	* Avoid truncation of long completion items in the middle of a Unicode symbol

2022-09-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix "Set Prefix" for auto-calculated result
	* Allow curly braces in expression entry (replaced by paretheses)
	* Fix quotation marks in comments
	* Add unit examples to dialog asking user for interpretation of implicit multiplication
	* Add chapter about differences in the Qt UI to the manual

2022-09-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix copying of result during delay before calculate-as-you-type result is added to history

2022-08-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Support for var=a syntax for variable assignment

2022-05-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix scaling of result (when it does not fit)

2022-05-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix action (e.g. conversion, factorization) on uncalculated expression

2022-05-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make sure that name conflict warning message is at least shown once for each new name (behaviour was less than optimal when name edit dialog was used)

2022-05-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Let tab and shift+tab behave us down/up keys when completion list is visible if tab key is not bound
	* If completion item was selected using tab, cycle through completion items on subsequent tab key presses
	* Show completion using tab if completion is disabled (or delayed)

2022-05-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Insert minus instead of executing RPN operation, on key press, when last character is e
	* Do not show number for single unnamed function argument
	* Updates for revised plot() function and new polar plot style

2022-04-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add support for binary-coded decimals (BCD)

2022-04-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use different font sizes for expressions, messages, and results in history (instead of a slightly larger font for all text)

2022-04-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use formatted output in status display

2022-04-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Ask the user for the desired sinc() variant (unnormalized or normalized)
	* Ellipsize long completion names list
	* Show names with underscore capitalized and with underscore removed (with some exceptions)

2022-04-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Case-insensitive history search
	* Replace history search entry label with icon within entry
	* Control display of real and imaginary parts in plot using allow complex option

2022-04-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix wrong tooltips in completion tab of preferences dialog

2022-03-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix memory leak when updating result display
	* Fix Unicode handling when ellipsizing during saving of long result
	* Do not convert empty expression

2022-03-25 h-h-h-h <13482553+h-h-h-h@users.noreply.github.com>

	* Update of German translation

2022-03-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix close to systrem tray for 32-bit (and potentially 64-bit) Windows binaries
	* Do nothing when Enter is pressed if expression is empty
	* Increase original size of flag images, use font size to determine appropriate image size, and use cairo surface instead of GdkPixmap to improve scaling
	* Replace micro symbol for ASCII copy
	* Always display abbreviated unit name (symbol) with abbreviated prefix (when unit only has short name)

2022-03-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix small dot visible when expression is empty with some default fonts
	* Do not change result color when window loses focus

2022-03-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove system tray icon before exit
	* Do not add separator line if history duplicate was prevented

2022-03-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix "Customize completion…" item in expression popup menu
	* Fix segfault if result widget is not realized when first drawing

2022-03-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix result display inconsistency when reopening from tray icon

2022-03-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to clear history in expression popup menu
	* Update tooltips and menu labels immediately when keyboard shortcut has changed
	* Shift+Delete shortcut for history delete

2022-03-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use rounding mode and simplified percentage options from qalculate-gtk in search provider
	* Clear convert unit on unit list deselect
	* Copy result on Ctrl+C if expression has no selection
	* Fix use of up and down keys in history and rpn stack lists
	* Activate history item, as double-click, on Enter key press (if history has focus)
	* Copy history item on Ctrl+C (if history has focus)

2022-02-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not replace *, -, / with Unicode operators if cursor is within quotation marks
	* Refine use of quotation marks for function arguments
	* "Edit" history item using F2 and button release, after 250 ms, instead of button press to avoid interference with double click
	* Do not immediately add result to history on history operator button click if calculate-as-you-type is enabled
	* Fix display in history of symbol (with quotation marks, e.g. 'a')

2022-02-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to only show parsed or entered expression in history
	* Do not add duplicate results to history
	* Add copy unformatted ASCII menu items and replace copy separator with copy ASCII by default option
	* Set text/html, UTF8_STRING, and STRING clipboard targets when copying text
	* Replace operators in pasted expression

2022-02-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix completion visible after expression cleared with key repetition (stop updating completion if expression has changed during popup resize)
	* Use GtkFileChooserNative (on platforms other than Windows)

2022-02-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not show parsed value in history if the same as entered expression

2022-02-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Keep custom language setting (manually set in configuration file)

2022-02-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix keyboard shortcut and keypad button values and labels with whitespace characters
	* Only open matrix dialog if result does not fit
	* Fix store button with too long result

2022-02-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix loading of keyboard shortcuts and custom buttons with space in value or label

2022-01-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to disable "simplified" percentage calculations (e.g. intepret 100 + 20% as 100 + 0.2 instead of 100 * 120%)

2022-01-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use HTML formatting in history view

2022-01-21 Jakub Jirutka <jakub@jirutka.cz>

	* Install search provider to libexecdir instead of libdir
	* Do not rewrite -Os to -O2

2022-01-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix copy result when calculate-as-you-type result is not automatically added to history
	* Do not assume that char is signed

2021-12-31 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Iconify activated window first to bring it to the front with input focus

2021-12-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix output of −3 ≤ x ≤ 5 (on Windows, and possibly other platforms)
	* Make keypad in number bases dialog hidable
	* Add truncate numbers rounding option
	* Updates for new matrix syntax

2021-12-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Omit characters in the middle (ellipsize) of very long results (> 500 000 characters) instead of just showing an ellipsis, and show matrix dimension instead of result for very large matrixes
	* Cache character coverage (fixes pontential segfault)

2021-11-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add as multiple functions if plot expression results in matrix (e.g. root(x, [3,4,5]))
	* Fix plot expression with localized decimal separator

2021-11-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Apply same logic with separate to command, as with "to" at end of expression, when result contains no unit
	* Increase the number of optional custom buttons from 5 to 20

2021-11-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove associated bookmark from menu when removing history item
	* Select history row on go to bookmark
	* Restore position and selection after editing data object
	* Set correct reference property value when first editing names of new object

2021-11-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not show division by zero in percentage calculation dialog

2021-11-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Data set (and property) edit dialog improvements - set file and name (if not edited) from title, enabled property options based on value type, hide "Value uses brackets", (un)localize unit expression, etc.
	* Improved layout in edit dialogs
	* Disable OK button in edit dialogs if name is empty

2021-11-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use editable combo box for data object argument in insert function dialog
	* Use small text size and use line wrap for argument description in insert function dialog
	* Replace *, /, - with corresponding operator symbols, and vice versa, in more cases (e.g. in edit dialogs)
	* Disable name edit dialog for composite units
	* Do not show overwrite question for replacement of temporary functions, units, and variables
	* Replace occurences of old unit when a unit is edited and switched to a different class
	* (Un)localize subfunction expressions in function edit dialog
	* Localize variable uncertainty value in variable edit dialog
	* Use PACKAGE_LOCALE_DIR instead of getPackageLocaleDir() (from libqalculate), except on Windows

2021-10-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make history text somewhat selectable (single click on selected item edits cell with non-editable entry)

2021-10-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix compilation in separate directory

2021-10-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Immediately return memory on MR clicked if entire expression was unchanged (or empty)

2021-08-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Ask the user for correct interpretation (once) when entering expression with ambiguous implicit multiplication

2021-08-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix segfault with very old GTK versions (~3.10) when opening unit edit dialog

2021-07-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix segfault without gnuplot

2021-07-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Set minimum height for names and sub function lists
	* Convert Celsius to Fahrenheit if no calculation was performed

2021-07-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use entry icons instead of buttons for matrices, dates, and files in insert function dialog, for name in objects edit dialogs, and for file in csv dialogs
	* Show full argument description below the entry, instead of short to the right, in insert function dialog
	* Add description to units and variables windows (as in functions window)
	* Capitalize non-object completion item titles

2021-07-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not use calculate-as-you-type for expressions containing save() or plot() function

2021-06-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Insert "smart parentheses" with right parenthesis key if expression has selection or text cursor is at start

2021-06-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use minus sign instead of function name when applying neg() to expression using keypad button

2021-06-05 Damir Islamov <damir@secretlaboratory.ru>

	* Add translator credits to About dialog

2021-05-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add customizable keyboard shortcut for insert result
	* Add language option to configuration file
	* Fix background color of expression entry in inactive window

2021-05-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Preserve supernumerary function argument definitions
	* Add reference column to function argument list

2021-05-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Localize data property values

2021-05-19 leveltrauma <rhade_tm@t-online.de>

	* German translation

2021-05-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove all except the newest gdbus-nonce-file-* files on exit

2021-05-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix custom keyboard shortcuts without modifier
	* Customizable keyboard shortcuts for keep window above, show/hide completion, and perform completion, activate first item (default shortcut Tab)

2021-05-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to keep the main window above other windows (always on top)

2021-05-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add text color option

2021-05-03 Damir Islamov <damir@secretlaboratory.ru>

	* Russian translation

2021-04-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show parsing errors and warnings in tooltip for expression status

2021-04-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add plural forms to translated messages
	* Add support for boolean assumptions
	* Fix type in edit unknown variable dialog
	* Set ENABLE_NLS outside of gettext macros

2021-04-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add customizable button padding (and decrease horizontal padding to 6 by default on Windows)

2021-04-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Replace dark theme check box with combo box (with high contrast and default theme options added)
	* Enable theme selection on all platforms

2021-04-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Ask (once) for the correct interpretation of dots, when comma is decimal separator

2021-04-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Avoid whole window updates when expression entry state changes from empty to non-empty

2021-04-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not calculate expression immediately on completion if "to" expression requires addition input (e.g. "to base #")
	* Do not append degrees at end of sexagesimal output
	* Add support for new sexagesimal bases
	* Add sexagesimal and time format to "to" menu when appropriate

2021-03-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix keyboard focus when run hidden automatically at startup

2021-02-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* If system tray icon is enabled, clear expression when the main window is hidden, and hide the window when escape key is pressed and expression is empty

2021-02-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show matrix result dialog when number of rows >= 3 (instead rows or columns >= 4), and set initial focus on cancel button

2021-02-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Always save keyboard shortcuts in the same order

2021-01-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add convert to mixed units to result context menu
	* Save chain mode setting

2021-01-16 tuberry <17917040+tuberry@users.noreply.github.com>

	* Add Simplified Chinese translation

2021-01-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add temperature calculation modes to preferences
	* Handle SIGTERM signal

2021-01-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Restore position when restoring window closed to system tray
	* Save mode/preferences and definitions before closing to system tray

2021-01-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make up/down keys in expression history smarter (cycle through expression history in less cases)
	* Fix smart parentheses keyboard shortcut (add shift)

2020-12-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Adjust icon/button sizes in history view when custom font is used
	* Restore RPN button sizes when decreasing font size
	* Fix trailing thin space in multi-line history result

2020-12-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Separate unit edit dialog into two tabs and update unit class names
	* Reorganize and add another tab to the preferences dialog

2020-12-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Support for qalc commands (expression is interpreted as command if it begins with '/')
	* Support for reading expressions and commands from file (as in qalc, using command line option -f/--file) 

2020-12-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Chain mode (key presses 1, 2, *, 3 results in expression (1+2)*3, with result updated intermittently)

2020-12-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Chain syntax parsing mode (1+2*3=(1+2)*3=9)
	* RPN syntax as parsing mode
	* Use slider for max plot time
	* Configurable calculate-as-you-type add to history delay

2020-12-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use system tray icon (hide the application when the main window is closed) and hide on startup options on Windows

2020-12-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add tooltip to ellipsized parse status
	* Reduce max length (from 50 000 to 5000) of saved history item

2020-12-01 Polakrity <75248644+Polakrity@users.noreply.github.com>

	* French translation

2020-11-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* New design for expression, status, and result (place all in the same frame and remove border)
	* Display progress spinner in the middle of the result space (or in the expression entry if in minimal mode) and show stop icon in the old location
	* Increase default size in expression entry and parse status
	* Fix complex angle format to-conversion with calculate-as-you-type activated

2020-11-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Case insensitive name completion (as title completion)
	* Restrict completion in to-expression based on from value
	* Do not match single a, x, or y in title
	* Add delayed completion and customize completion items to expression context menu

2020-11-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use false/true instead of 0/1 for result of equality or inequality

2020-11-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix history line breaks in the middle of thin space character
	* Fix segfault in floating point dialog when number of bits in specified binary number is lower than expected by the floating point format
	* Automatic approximation and fraction mode in Gnome shell search provider

2020-11-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Place equals button (and minimal mode button) inside expression entry (hide when expression empty, and change to clear action when result is up-to-date)
	* Change "Ent" to "ENTER" (in keypad) and change orientation of text; Reduce space below top keypad buttons and test two rows of number base conversions with smaller size

2020-10-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use icons for "Value", "Text", and "Copy" in history view
	* Hide all history buttons when keypad is shown simultaneously
	* Refine (handle roots) determination of visibility of rational number format popup menu items
	* Add "Exact" menu item to result popup menu when appropriate
	* Only copy the result when clicking the actual result image (and not any empty space to the left)
	* Fix temporary result text equals sign with calculate-as-you-type
	* Fix equals sign for approximate date and time
	* Use Unicode symbols for >=, <=, and != in function argument description and function condition

2020-10-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use combo box for encoding in code() and calendar in date() functions

2020-10-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Always perform conversion to optimal (SI) unit when the expression is a number multiplied by a unit and input equals output
	* Completely disable separate to-expression when calculate-as-you-type is activated

2020-10-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix input of circumflex on Windows with dead circumflex without modifier (e.g. German and Swiss keyboard layouts)

2020-10-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improve handling of ignore comma/dot option outside of the main expression entry
	* Fix alternatives in to menu and result context menu for result in complex angle form
	* Set initial nth root dialog value to 2
	* Always use decimal base in plot dialog
	* Restore initial focus when opening dialogs a second time
	* Improve layout in insert function dialog

2020-09-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Notifications for invisible actions (e.g. result left-click copy)

2020-09-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Customizable keypad buttons (all buttons on the right side)

2020-09-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* MR, MC, MS, M+, M-
	* Fix programming keypad base conversion for negative integers
	* Improve layout of variable edit dialog
	* Change "Names Details" button label to "Properties"
	* Add and subtract to context menu of variables in STO menu
	* Show "simple" in result context menu
	* Use v1, v2, ... as default variable names, instead of var_1, var_2, ...

2020-09-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix input of circumflex with dead circumflex key on Windows with new GTK version

2020-09-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix check for updates on startup when accelmap is missing (Windows not affected)

2020-09-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not show exact match with prefix if exact match without prefix was found, in completion

2020-09-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix font coverage check
	* Only perform continuous conversion when convert tab is visible

2020-09-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Resize window on keypad or app font change

2020-09-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Insert operator symbols on appropriate key press in various entries for mathematical expressions
	* Do not list objects in category with name that is a substring of another category
	* Fix continuous parsing of "to"-expression with variable without unit
	* Do not italicize %, ‰, and ‱

2020-08-31 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix potential precision loss when performing multiple consecutive unit conversions
	* Option to remember window position

2020-08-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix unit conversion search entry losing focus
	* Clear search entries when entering character with entry not in focus

2020-08-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add "Copy result to clipboard" to Gnome shell search provider
	* Increase default precision to 10

2020-08-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Reduce time before GUI appears on load

2020-08-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add composite units to completion
	* Add category to SI unit titles in completion
	* Group hexadecimal digits

2020-08-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show error message when gnuplot is not installed when the user tries to open the plot dialog, instead of disabling the menu item

2020-08-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix display of negative number with scientific notation

2020-07-26 VicSanRoPe <?>

	* Spanish translation

2020-07-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show bit position for binary number that does not fit in window

2020-07-22 Hanna Knutsson <hanna.knutsson@protonmail.com>
	
	* Split long numerical results in two lines
	* Copy the result when clicking on it

2020-07-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improve text layout (do not cut off part of y) in result view
	* Do not automatically open any dialogs (for matrices and information messages) during calculate-as-you-type

2020-07-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Auto completion for objects and properites in data set functions
	* Fixes for vectors in insert function dialog
	* Improve spacing with numbers in result display

2020-07-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add example expressions appendix to manual

2020-07-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix Insert button in insert function dialog
	* Fix updating of operator symbols in result when preferences change

2020-07-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use middle dot instead of multiplication x in unit expressions
	* Fix alignment and improve spacing in flat division (primarily in unit expressions)
	* Improve display of abs(), ceil(), and floor()
	* Move negative exponents menu item (negative exponents now only applies to units)
	* Disable prefixes by default for scientific, engineering, and pure modes
	* Do not disable sort minus last and enable negative exponents in scientific and pure modes if these options has been explicitely set by the user (when in one of these modes)

2020-07-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix and improve display of division
	* Improve display of roots

2020-06-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to hide left or right part of the keypad
	* Replace fraction mode combo box with a single toggle button

2020-06-23 Fúlvio Alves <fga.fulvio@gmail.com>

	* Portuguese (Brazil) translation

2020-06-19 Nejc Bertoncelj <nejc@bertoncelj.eu.org>

	* Slovenian translation

2020-06-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Restore keypad button hover appearance after long press

2020-06-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Hide tooltip after keypad button click

2020-05-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow multiple "to"-conversions in one expression (e.g. "5 m/s to hex to ft to h = 0xE6AF.1E*ft∕h)
	* Option to clear history on exit
	* Support specification of number of bits for hexadecimal "to" conversion (4 to hex16 = 0004)

2020-05-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Divide value with time units by hours if time format is used

2020-05-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not add current calculation again to history after removing (or moving) history item, when calculate-as-you-type is activated
	* Do not clear result after removal of history item, if not the current result was removed

2020-05-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Reduce the height of the result widget

2020-05-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Support for automatic updates of self-contained binaries
	* Add check for updates menu item

2020-05-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix report bug on Windows

2020-05-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improved handling of vectors and matrices in insert function dialog
	* Fixes and improvements for old gtk versions
	* --without-local-help configure option
	* Configurable time limit for plot

2020-05-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Gnome shell search provider

2020-05-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Dark theme setting on Windows

2020-04-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* History search
	* Fix button order in some dialogs

2020-04-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improved handling of long history bookmarks
	* Only add message to history when expression consists of error(), warning(), or message() function
	* Interpret text after hashtag (#), in expression, as comments (add as separate history item if expression begins with double hashtags)
	* Fix move to top for last history item

2020-04-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Configurable number of lines in expression entry
	* Add "Units & Currencies" tab to preferences dialog

2020-04-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add angle unit selection to sin, cos, and tan button menus
	* Add right status popup menu with angle unit selection, etc.
	* Make it possible to set keyboard shortcut for angle units
	* Improved keyboard shortcuts dialog

2020-04-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Reduce distance between base and exponent in result
	* Ellipsize long variable values used as title in completion popup (fixes segfault)

2020-04-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Draw parentheses instead of using scaled symbols from font

2020-04-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* New icon

2020-04-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Minimal window mode (hide everything except the expression entry and, when not empty, the result display)

2020-04-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Persistent keypad option (makes it possible to show keypad and history simultaneously)

2020-03-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix custom expression font with themes other than Adwaita, Yaru, and Ooxmox

2020-03-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make spacing between UI elements more consistent

2020-03-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Report bug menu item

2020-03-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Optional (at compile time; default off) internal help viewer using WebKitGTK

2020-02-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improve appearance on Ubuntu 16.04 (fix missing icon on edit register button and disable vertically linked buttons for incompatible themes)

2020-02-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix initial keyboard shortcuts on first run

2020-02-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix initial window title (use "Qalculate!" instead of "qalculate-gtk")

2020-02-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Floating point conversion dialog

2020-02-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to enable/disable new version notification

2020-02-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* binary16/fp16, binary32/fp32/float, binary64/fp64/double, and binary128/fp128 "to" conversion
	* Support specification of number of bits for binary "to" conversion (4 to bin16 = 0000 0000 0000 0100)

2020-01-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Configurable keyboard shortcuts

2019-12-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add base units (or local currency) to expression when "to"-expression specifies unit conversion and original expression does not include any units

2019-12-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Clear expression entry when escape key is pressed

2019-11-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not automatically recalculate expressions with answer variables when calculation/parsing mode has changed

2019-11-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Options to customize the window title - different modes selectable in preferences, command line option, and settitle() function

2019-11-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to select custom application font

2019-11-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix automatic use quotation marks for text arguments in input function dialog
	* Option to select custom keypad font

2019-10-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Reset calculate-as-you-type history timeout on cursor move
	* Nicer display of floor() and ceil() in result

2019-10-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Angle/phasor notation for complex numbers

2019-10-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Bijective base-26 support
	* Improve preservation of display options from "to"-operator after mode changes

2019-10-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to use binary prefixes by default for information units
	* "b?"-syntax (unit expression prefix) for optimal binary prefix (e.g. "b?byte")
	* Improvements for '?' (optimal prefix) in conversion expression

2019-10-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improved RPN support for history actions

2019-09-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add keyboard shortcuts for RPN stack manipulation
	* Add button for calculation of RPN stack total
	* Add context menu to RPN stack
	* Use RPN stack for values in insert function dialog and add "Apply to Stack" button

2019-09-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add RPN negate button with Ctrl+'-' shortcut
	* Negate on subtract button right-click
	* RPN "LAST x" button (for retrieval of the top stack value before the last operation)

2019-09-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix segfault when saving mode/settings (on exit) if history is empty

2019-09-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add "calculate as you type" result to history after idle time (1.5 s)

2019-09-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to move selected history items to top

2019-08-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to automatically calculate the current expression on each change (as you type)

2019-08-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Support "where" syntax in continious display of parsed expression

2019-08-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* RPN stack drag and drop

2019-08-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Man page

2019-07-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to delete selected history items
	* Fix segfault with command line expression

2019-07-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use typed expression on history insert/copy
	* Add insert parsed text menu item, and include both typed and parsed text for full text copy

2019-07-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Hide "Abbreviate Names" in popup menu when appropriate and add separator
	* Show custom base result popup menu item

2019-07-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improve subscripting of suffixes in history

2019-07-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add "to unicode" conversion

2019-07-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add support for text arguments when hiding default function values in output
	* Fix italicization of symbol when function argument

2019-06-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Support for bases > 36, negative bases, and non-integer bases
	* Reduce length of expressions in messages (primarily when using high precision)
	* Fix right-click action for cursor right and left keypad buttons

2019-06-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Change programming keypad toggle button text/icon
	* Add import definitions file to file menu
	* Make most dialogs resizable

2019-05-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix display of number in sexagesimal base or time format

2019-05-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Keyboard shortcut for smart parentheses (Ctrl + parenthesis)

2019-05-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix line breaks placed within Unicode characters in some cases
	* Shorten extremely long lines (> 50 000 characters) in history
	* Take into account line length (since line breaks now is dynamic) when calculating history limit
	* Unmark parentheses when automatically selecting whole expression
	* Only use bold parentheses highlighting if text width does not change
	* Continuous delete when long-pressing DEL button

2019-05-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix invalid text iterators on rapid input
	* Menu item context menu for deletion and update of meta modes
	* Do not require confirmation on deletion of variables and history bookmarks from context menu

2019-05-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* History bookmarks and protect (from disappearing of the end of the list) option

2019-05-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show result in different number bases, in place of menus over keypad, when programming keypad is used

2019-05-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Insert date dialog (from Edit menu and expression popup menu)
	* Long press/right-click/middle-click actions on buttons in keypad
	* "x =" button, and e on separate button in general left keypad
	* New keypad buttons for moving cursor and cycling through expression history
	* Move percent and raise buttons to the keypad on the right side, and add +/- button
	* Add code() and char() to bases button menu, and rand() to mean button menu
	* Request integer in dialog for root() and similar
	* Do not show insert function dialog for button functions with two arguments

2019-04-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Programming keypad
	* Input base selection in expression popup menu

2019-04-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Keypad in number bases dialog (related to issue #93)
	* More unobtrusive warnings and errors in number bases dialog
	* Bitwise operators and functions in number bases button menu

2019-04-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Input ⊻ (XOR) unsing Ctrl+^ or just ^ (if selected in preferences)
	* Do not show 0x prefix for hexadecimal numbers in result
	* ⊻ symbol for XOR

2019-04-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Recognize "factor" and "expand" commands at the beginning of the expression

2019-04-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	 * Fix loading of adaptive interval display from mode
	 * Factorize/expand improvements

2019-04-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Rename "simplify" to "expand", to avoid confusion

2019-04-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix loading of "Units in Physical Constants" from mode
	* Fix loading of interval arithmetic setting
	* Fix loading of "variable units" from mode

2019-04-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Reverse order of previous functions, units, and variables in button menus

2019-04-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Hide optional arguments with default value
	* Show "optional" as placeholder text in insert function dialog
	* Nicer display of derivative in output

2019-04-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix ignore system language on Windows

2019-04-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Hide current angle unit from result

2019-03-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improve/fix "to"-button menu
	* Add dynamic convert to menu to result popup menu

2019-03-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix dynamically updated button menus with gtk ~3.24.7

2019-03-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix lost signal handling in conversion tab (fixes search, popup menu, delete icon, etc.)

2019-03-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Ask if the user wants the change the default behaviour and allow multiple instances

2019-03-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Layout fixes when formatting "= approx. 'a'"

2019-03-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Two's complement for hexadecimal

2019-02-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to ignore system language
	* Show data object properties message in separate dialog

2019-02-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improved sorting of text string with unicode chars
	* Hide unit and constant suffixes in result

2019-02-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Replace decimal with exact decimal rational numbers when exact mode is activated using button

2019-02-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Replacement approximation dropdown menu with exact toggle button
	* Interval calculation method selection (use variance formula for interval calculation by default)

2019-02-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Enable show ending zeroes by default

2019-02-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix convert button

2019-01-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Support UTC+/-hh[:mm] and CET time zone conversion (using "to")

2019-01-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Nicer display of physical unit relation constant names in completion list

2018-12-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix "gtk_tree_view_scroll_to_cell: assertion 'tree_view->priv->tree != NULL' failed"

2018-11-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Reduce result text size to avoid horizontal scrolling

2018-11-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Wrap history lines and right align results
	* Improved formatting of result in history

2018-11-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Modified keypad layout
	* Replace with icons on RPN stack buttons
	* Use 'linked' widget style where appropriate

2018-10-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Set PrintOptions for messages
	* Fix adaptive interval display (when +/- in expression)
	* Nicer display of lambertw()

2018-08-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to disable automatic conversion to local currency (when optimal conversion is activated)

2018-08-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Polar and exponential complex number forms

2018-08-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix theme warning with gtk version < 3.20
	* Fix long numbers in RPN operation parse result
	* Fix separator for last history item
	* Remove function parsing hint for "to" expression
	* Allow conversion of the current result using standalone "to" expression (e.g. type "to m" to convert current result to meter)

2018-07-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* More fine-grained completion settings in preferences dialog
	* Configurable completion popup delay
	* Separate preferences into additional tabs

2018-06-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Completion modes (for different levels of suggestions)
	* "Keep open" option for insert function dialogs
	* Hide "Insert Emoji" expression context menu item

2018-06-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not retrieve exchange rates not needed
	* Focus plot expression entry after graph added, modified or removed

2018-06-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show currency flag also when symbol (instead of ISO code) is used. The flag is placed after number if the currency is placed in front of the number with no space inbetween.

2018-06-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Prefix completion suggestions and prefix handling in unit completion suggestions

2018-05-31 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not enable OK button until values have changed, when editing definitions

2018-05-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* "to base #" conversion

2018-05-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add duodecimal base and Roman numerals to number base conversion dialog

2018-05-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Calendar conversion
	* Add "to" conversion for display of numbers in roman, sexagesimal, or time format
	* Completion suggestions for "to"-commands

2018-05-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Partial fraction expansion

2018-05-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Match title (and country for currencies) in completion suggestion list
	* Show currency flag in result when currency code is used

2018-05-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Search box for functions, variables, units, and long unit conversion lists
	* Context menu for conversion unit list, and middle click for add to expression
	* Use a searchable list view for convert to selection in unit manager

2018-04-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Flags for currencies (flags collected by majumeke)

2018-04-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix set (optimal) prefix when result is converted to composite unit (with prefix)

2018-04-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* "to"-conversion for physical constants

2018-04-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Support for "handle vector" argument property

2018-04-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Time zone conversion

2018-04-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow user to change decimal separator (and consequently argument separator)

2018-03-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix function completion

2018-03-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use the currency menu structure for to button menu when currency unit in result,
	  and the display all remaining units in the first more menu for other units
	* List all currencies in conversion tab
	* Hide hidden items (including extra currencies) from completion
	* Use recursive directory creation
	* Fix save/load of interval arithmetic state
	* Add version command line option

2018-02-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add integrate() and dsolve() to button menu

2018-02-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix history height not reducable
	* Remove wrong tooltips from percentage calculation tool

2018-02-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Resize result vertically when the window is resized, if keypad/history/conversion is hidden

2018-01-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Plot line width setting

2018-01-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add y min/max to plot dialog
	* Hide color/monochrome setting (has no effect)
	* Increase default and maximum number of plot samples
	* Allow resizing of plot dialog
	* Add option to not copy digit separator

2018-01-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Implement completion only name property in GUI

2018-01-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix never ending cell cycling with tab on last cell in matrix dialog (issue #33)

2017-11-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Digit grouping
	* Fix segfault on edit names for new item
	* Enhanced parsed expression display

2017-11-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to disable units in physical constants

2017-11-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Interval arithmetic
	* Use 10^n instead of E-notation for main result display (configurable)

2017-10-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Enhanced support for duodecimal numbers

2017-09-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix Home and End keys in expression entry
	* Use Up key if not on first line and Down key if not on last line for movement within expression entry

2017-09-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Version check on Windows
	* Fix integer argument spin button

2017-09-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Proper root and abs display
	* Enhanced display of nested exponentiation

2017-08-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Multiple indeces (vector) accepted in answer() and expression() functions. Used for inserting value when multiple items is selected.
	* Highlight matching parentheses
	* Go back to previous RPN mode settings (separating stack and syntax completely) and use all keyboard keys for RPN operations by default

2017-08-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove assumption type complex from GUI

2017-08-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix parse status function argument shortening and ellipsizing

2017-08-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* New icon (mainly because of missing scalable image for the old)

2017-08-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Enhanced superscript on buttons (do not use <sup>)

2017-08-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not save height of keypad or window with tabs hidden

2017-08-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Expression undo/redo

2017-08-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fixed custom font sizes
	* Default to a larger font size
	* Use '×' (00D6) as default mulitplication sign and add middle dot as alternative multiplication sign (both present in more fonts than the true multiplication dot)
	* Fixed/enhanced matrix/vector editing

2017-08-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use glib-compile-resources for ui files (makes it easier to relocate or run the application without installing)
	* Fix matrix/vector editing

2017-08-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Apply functions with more than one argument to the stack

2017-08-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Multiline expression entry

2017-08-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Percentage calculation dialog

2017-08-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Alternative simplified function edit dialog
	* Fix blurry text with GDK_SCALE > 1

2017-08-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Redesigned keypad

2017-08-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fixes for MS Windows (now compiles, and runs without apparent issues, with MinGW)

2017-07-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fixes to result image saving

2017-07-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix history operators with one selected item and selected text

2017-07-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix name input fields when cleared
	* Set max/min value in integer input field to INT_MAX/INT_MIN
	* Fix argument min/max input field
	* Parse instead of calculate values in matrix edit dialog
	* Update CSV import name logic
	* Add (long) max time for CSV export
	* Check for errors in more places (avoids message dialogs with no parent)
	* Use expression string, if available, instead of value in variable edit dialog

2017-07-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make it possible to stop conversion of result
	* Use escape key to abort
	* Abort on exit
	* Make history and rpn tab insensitive during calculation

2017-07-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix set unknowns
	* Enhanced conversion unit category list
	* Avoid recursion in expression() and answer()
	* Changes in conversion unit category list - only one row expand at the same time, show units in subcategories if list otherwise empty, expand on click if units in subcategories not shown

2017-07-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix history scrolling on new result
	* Fix history when errors during set unknowns
	* Fix "<", ">" and "&" in history
	* Fix result resizing and disable overlay scrolling for result

2017-07-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Solve issue with result sometimes not showing

2017-07-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Let unit entry grab focus when clicking conversion expander nad move focus to expression after conversion using enter in unit entry or convert button

2017-07-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix vector/matrix plot
	* Add timeout for plot series data generation

2017-06-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not repeat conversion of the same value on focus out in units dialog (fixes endlessly repeating message dialog)

2017-06-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Updates for new calculation termination and factorization in libqalculate

2017-06-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove "Unkown" and "Not Matrix" type assumptions

2017-06-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Implement automatic unit conversion changes from libqalculate

2017-04-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Merge Windows support fork (chengsun)
	* Replace deprecated gtk_show_uri()

2017-04-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix compilation with old gcc versions

2017-02-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Save the size of units, functions, variables and datasets windows and the positions of panels

2017-02-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Calculate text in spinbox and convert integer arguments to non-decimal input bases in input function dialog
	* Fix setting of custom status error and warning color and calculate default colors from the default foreground color for the widget

2017-02-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use a list (GtkTreeView), with action buttons and referenceable history items, instead of plain text (GtkTextView) for history

2017-02-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add copy register button and modify the behaviour of the swap button
	* Add buttons for arithmetics next to the RPN stack

2017-02-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add swap button, use up/down buttons for rotation if no selection and remove top of the stack with delete button if no selection
	* Combine RPN mode and syntax in single menu and with combined choices

2016-12-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Replace deprecated gtk_menu_popup with gtk_menu_popup_at_pointer for gtk >= 3.22
	* Add option to use multiple instances by default

2016-10-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix STO button tooltip
	* Do not use gdk_cairo_create with gdk >= 3.22

2016-09-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Avoid overriding primary selection when receiving focus

2016-09-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Mixed units conversion

2016-09-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix "to base"

2016-07-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Command line option start a new instance of the application

2016-07-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Only run a single instance of the application

2016-06-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show actual number of days since last exchange rates update

2016-06-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improve exchange rates handling
	* Exchange rates update interval in preferences
	* If fetch exchange rates on startup is set, then update exchange rates every day instead

2016-06-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use html help instead

2016-05-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* New "to" commands: factors and fraction

2016-05-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* hex, oct, bin, bases, optimal, base "to" commands
	* Do not complete functions and variables in "to" expression

2016-05-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Set missing prefixes check box
	* Wait 0.5 s before showing fetching exchange rates message

2016-05-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Default for history (and conversion) height
	* Continuous conversion check box instead of convert button as toggle

2016-05-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* New parsing modes	

2016-05-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Reenable and fix stack editing and stop expression entry from stealing focus when editing
	* Move convert unit dialog convert to tab in main window. Auto-select category and add toggle button for continuous conversion.
	* Enhanced window size handling

2016-05-17 Hanna Knutsson <hanna.knutsson@protonmail.com>
	
	* New print abort/timeout system

2016-05-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add timeout for conversion in units dialog and in bases dialog

2016-05-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Attempt to make print thread cancellation less crash prone

2016-05-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Set optimal prefix menu item

2016-05-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update exchange rates question dialog

2016-05-03 Hanna Knutsson <hanna.knutsson@protonmail.com>
	
	* Use standard location for data and configuration (~/.local and ~/.conf)

2016-05-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Attempt to solve the convert to unit issues
	* Show information about how to view errors and warnings
	* Fix result scaling

2016-04-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not use GtkImageMenuItem
	* Add "Use with prefixes by default" to unit edit dialog
	* Various small fixes
	* Add AppData file
	* Update build files and increment version number	

2016-04-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fill in bases dialog with current expression and use keybinding Ctrl+B (bug #87)

2016-04-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use spinner instead of entry progress pulse
	* Add option to ignore commas
	* Add all prefix options to the UI

2016-04-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use GtkInfoBar instead of message dialog in main window
	* Use icon with tooltip for messages in main window

2016-04-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove convert and save buttons, move execute button to expression entry and add clear icon
	* Show progress in expression entry and result display instead of in dialog, and change window title.
	  Change execute icon to stop icon in entry during processing.
	* Do not repeat number printing process unnecessarily
	* Additional GUI polishing and fixes

2016-04-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Polishing and various fixes

2016-04-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix save to image
	* Fix result popup menu
	* Finish migration to cairo
	* Restore tooltips in GtkBuilder files
	* Remove stock labels and icons on buttons in GtkBuilder files
	* Do not use GtkAlignment in GtkBuilder files

2016-04-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Migrate to GTK+ 3 (most is done)

2016-04-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use gtk_show_about_dialog()

2016-04-21 Hanna Knutsson <hanna.knutsson@protonmail.com>
	
	* Convert from Glade to GtkBuilder
	* Do not use deprecated symbols
	* Replace GDK_<keyname> with GDK_KEY_<keyname>

2016-04-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add missing call to fclose(file) (bug #142)

2009-01-05 Jonathan Stickel <jjstickel@vcn.com>

	* General build updates and bug fixes, including the ability to
	build against cln >= 1.2.

2007-08-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use same behaviour for GDK_asciiscircum as GDK_dead_circumflex to fix keyboard layouts without dead keys (bug 1741299)

2007-08-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Better method for determining if a unicode character can be displayed

2007-07-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix insert vector

2007-04-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not try to free null icon

2007-04-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Always input decimal separator sign on keypad separator press

2007-03-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Minor documentation fixes

2007-01-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix crash when expression entry reclaims focus if compiled with optimizations

2006-11-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update Swedish translation

2006-11-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update Dutch translation (Jaap Woldringh <jjh.woldringh@planet.nl>)

2006-11-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update Dutch translation (Jaap Woldringh <jjh.woldringh@planet.nl>)

2006-11-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Connect "Exp" button Exp RPN operation and add Ctrl+Shift+E shortcut

2006-09-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Integer factorization

2006-07-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove use of libgnomeui completely as gtk_window_set_default_icon_from_file() can be used instead

2006-07-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add --with-libgnome and --with-libgnomeui configure options
	* Add accelerator keys to widgets in units, functions, and variables dialogs

2006-07-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add accelerators to all dialog buttons and expanders
	* Fix set unknowns in RPN mode
	* Fix compile without libgnomeui

2006-07-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make separate options for "Sort Minus Last" and "Negative Exponents" in numerical display menu
	* Do not save equal signs for parse history and do not save "RPN Register Moved" as text
	* Do not put numerator in parenthesis in (1/2)/m, with "Place Units Separately" activated
	* Increment version number

2006-06-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use localized comma for insert matrix/vector
	* Display parentheses correctly with flat division when "Place units separately" is activated
	* Fix insert matrix/vector dialog

2006-06-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add "Engineering" display mode

2006-06-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Polishing before 0.9.4 release

2006-04-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix function editing with subfunctions

2006-04-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update documentation
	* Update Swedish translation

2006-04-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Display position of current element instead of using bad headers
	* Handle empty matrices

2006-04-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* unit_edit_label_relation_title did not exist
	* Scroll to current matrix cell

2006-04-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* New matrix editing using GtkTreeView
	* Show matrix result dialog automatically for all but the smallest of matrices

2006-04-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Align matrix/vector table items right
	* Remember visible tab with rpn mode on and off
	* Enhance edit matrix/vector dialog
	* Insert matrix/vector dialog
	* Insert matrix/vector menu items
	* View/edit matrix/vector popup menu item

2006-04-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not add empty expressions to expression entry history
	* Show default value of arguments in function description

2006-04-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improve RPN mode
	* "Use only keypad keys for RPN operations" option
	* Redirect all unused input to expression entry
	* Avoid focus flicker
	* Localize expressions in unit manager
	* Options to use dot as thousands separator when it is not the default decimal sign

2006-04-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* True RPN mode

2006-04-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Documentation updates

2006-03-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Focus text field that caused error after error message
	* Remove delete data sets from recent functions
	* Clear description and object list on data set deletion

2006-03-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* New icons
	* Use libgnomeui to set icon

2006-03-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Check capitalization
	* Put selection of number base in result and expression in the same dialog

2006-03-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not do any unnecessary result updates when loading meta mode
	* Show original parsed precision of enetered numbers

2006-02-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not use "Read Precision" in plot

2006-02-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* "RPN Mode" -> "RPN Syntax"

2006-02-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* When in RPN mode, do not put selection in parenthesis and place operator after

2005-12-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Warn about denominators assumed non-zero option

2005-12-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update Swedish translation
	* Update documentation

2005-12-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Display AND and OR with lower-case letters
	* Fix set status text crash

2005-12-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* No double quotes in in history from set unknowns

2005-12-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Display "x < 3 && x > 1" as "1 < x < 3"

2005-12-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make sure that window does not expand when updating status text

2005-11-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not display (x)(y)^z with multiplication sign
	* No double quotes in set unknowns dialog
	* Set max precision to 100000

2005-11-27 Hanna Knutsson <hanna.knutsson@protonmail.com>
	
	* Update assumption menu items and combo boxes (in edit unknown variable dialog) 
	  after setting sign or type (ex. setting sign to positive makes type at least real)

2005-11-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not start command thread more than once

2005-11-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Never display 1/x as (1)/x no matter how deeply nested

2005-11-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not split up utf8 characters and search for spaces when wrapping very long results

2005-11-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Factorize and simplify in a separate thread that can be stopped and show progress dialog
	* Add "Enable/Disable Completion", "Read Precision", "Limit Implicit Multiplication", "RPN Mode", and "Meta Modes"
	  to expression entry popup menu
	* Add "Clear" to history popup menu
	* Allow factorization print option (for (3/4*(x+1))/(y+1))

2005-11-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not display colon when argument description is empty

2005-11-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Simplify menu item
	* Algebraic mode -- simplify, factorize, or none

2005-11-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix crash when newline character at end of expression (from pasted text)
	* Do not add plot expression with only white space
	* Do not automatically add plot expression when applying appearance or function range
	* Replace new line characters in expression entry with space

2005-11-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fixes for gtk+ version 2.4

2005-11-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix parenthesis for division in division

2005-11-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Compile without warnings with -pedantic and -Wextra

2005-11-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix cmath sqrt bug (gcc-3.3.x problem?)

2005-11-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* History enhancements

2005-10-31 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Polishing

2005-10-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Finish documentation updates
	* Completion fixes

2005-10-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update parse status display of to unit expression and parse display in history
	* Save history type information to restore formatting

2005-10-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* More result drawing enhancements
	* Use option to reduce transformation when parsing and print formating for parse status
	* Update recalculation behaviour on mode change
	* Support for binary and other prefixes

2005-10-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update documentation
	* Scale result if it does not fit window height
	* Save confirmation with gtk-2.8
	* Improved parenthesis drawing

2005-10-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* A better solution (set size request for result display again) for resizing window when
	  keypad or history are shown/hidden.
	* Update Swedish translation
	* Reduce result display size on startup

2005-10-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Hide value entry, exact button and names details in variable edit dialog in store mode
	* Focus name entry in variable edit dialog
	* Add unit selector to convert to unit dialog
	* Focus name entries
	* Use variables edit dialog also for storing matrix/vector results
	* Split edit data set and edit function dialogs in tabs

2005-10-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add accelerators Ctrl+K and Ctrl+H for keypad and history expanders respectively
	* Replace mod button with f(x) button

2005-10-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Completion fixes
	* Option to disable completion
	* Make suffixes in completion list smaller
	* Disable completion for disabled object types (functions, variables and units)

2005-10-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* GUI polishing
	* Show alternative names in cursive style after default in completion list
	* Show title in completion list in cursive style
	* Completion for all names

2005-10-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* GUI redesign along the lines of the KDE GUI

2005-10-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix display of too many arguments message
	* Configuration of status warning and error colors
	* Split preferences dialog in two tabs

2005-10-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Modes updates
	* Update documentation
	* Update Swedish translation
	* Fix as-you-type function hints when unlimited number of arguments
	* Increase max value length in variables dialog
	* Font selection for status label
	* Choice to disable as-you-type expression status

2005-10-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Ability to save different modes
	* Fix as-you-type parsing with " to " in expression
	* Display as-you-type parsing with warnings in blue
	* Add mode menu to result popup menu

2005-10-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Display parsing and function hints under the expression entry to the left

2005-10-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix help display with new yelp

2005-10-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Change alignment in entries in base and units dialogs
	* Fix result text cropping in pango >= 1.10.0 (add inc_rect.x to inc_rect.width)

2005-10-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add -export-dynamic to LDFLAGS to fix libglade without libgnome
	* Option to change wget arguments in preferences dialog

2005-06-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Check that prefix name can be displayed
	* Close gnuplot and disable save button when no series defined

2005-06-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use number base for expression parsing when printing parsed expression
	* Support for "e" instead of "E" in result

2005-06-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Display correct equals in history on updated display format

2005-06-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Reload also recent composite units and getActive...
	* Bitwise NOT (~)
	* xor() and bitXor()

2005-06-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Bitwise AND (&), OR (|), XOR
	* Remove old giac stuff

2005-05-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Max values seem to have been lost a long time ago -- add them again

2005-05-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Initialize ids_i
	* Fix documentation typos
	* Fix includes.h for gcc-4.0

2005-03-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* 5e2 = 5E2 = 500 and 5e = 5*e

2005-02-08 Hanna Knutsson <hanna.knutsson@protonmail.com>
	
	* Update solve2()

2005-02-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Dialog with buttons works in gtk+-2.6.2
	* Do not look at function arguments in contains... functions

2005-02-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update integration and differentiation (sin(x) != sin(x)*rad) after change in sin() and cos() behaviour

2005-01-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix RPN crash and don't add lonely stack value to itself
	* Workaround freeze with message dialog without buttons

2005-01-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use the last operator for leftover stack values

2004-11-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show base (if not decimal, hexadecimal or non-standard) as subscript

2004-11-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix "Convert result" button
	* Use singular instead of abbreviated name for completion

2004-11-21 Hanna Knutsson <hanna.knutsson@protonmail.com>
	
	* Fix draw unit
	* Add alternative multiplication dot signs
	* Enhance preferences safety

2004-11-16 Hanna Knutsson <hanna.knutsson@protonmail.com>
	
	* Check if unicode characters can be displayed

2004-11-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Revert back somewhat to the old behaviour of not rounding exact numbers not in exponential format 

2004-10-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Generate vector function

2004-10-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Rearrange plot dialog
	* Do not update plot data when not changed
	* Make x variable separate for each plot function

2004-10-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix angle arguments by adding option default angle unit none where angle units must be specified
	* Represents... for some functions
	* Some tweaks

2004-10-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix 0.5!

2004-10-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix comparison of unit with unknown
	* Try with assumptions set to unknown in solve function if not successful

2004-10-19 Hanna Knutsson <hanna.knutsson@protonmail.com>
	
	* Fix when size_t not is unsigned int

2004-10-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Disable plural forms not at the end of text strings (metersqrt(5) = meter * sqrt(5) instead of meters * qrt(5))
	* Replace new lines with &#10; in definition xml files until we have a better solution

2004-10-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Speed-up csum when component(i, "v") is used
	* Give messages in the right order (reversed)
	* Update obsolete plot documentation
	* Clean up parsing
	* Add limit implicit multiplication mode
	* Fix unit conversion
	* Fix m*s -> 1 m*s

2004-10-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* More speed-ups

2004-10-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Limit qalc history to 100 entries
	* Increase qalculate-gtk history to 25 entries
	* Store children i math structures as pointers to reduce copying of large vectors

2004-10-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Help buttons in variable edit, unit edit, function edit and plot dialogs
	* Make definitions loading more than twice as fast
	* -set command line option for qalc

2004-10-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* defs2doc program for generation of definition list in help
	* Make help book and add appendix for lists of functions, variables and units
	* Fix broken CVS

2004-10-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* promille -> permille
	* Permille sign
	* permyriad
	* Fix atan() ignoring angle unit
	* Add exact value for atan(1) = 1/4 pi and atan(-1) = -1/4 pi

2004-10-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Install headers
	* Added pkgconfig file libqalculate.pc
	* Remove inclusion of config.h in installed headers
	* Include library headers with <libqalculate/*.h>
	* Rename src/calclib src/libqalculate

2004-10-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update exchange rates command in qalc
	* Update Swedish translation
	* Add last set options to qalc
	* Allow user to type - when unicode signs is disabled
	* Division sign selection
	* Use selected multiplication and division sign in text printing

2004-10-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix qalc Ctrl+D crash (exit when read line is NULL)
	* Do not require two tabs to show completion list
	* Do not show all output directly if terminal is too small
	* Split out localization of definitions into po-defs
	* Add full support for non-utf8 local characters in qalc
	* Various qalc tweaks

2004-10-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix equalsIgnoreCase() for unicode chars and make more efficient
	* Make qalc case insensitive and add extend localization
	* Change package name to qalculate

2004-10-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use readline for qalc
	* Change class Function to MathFunction
	* Only use plural name when short multiplication
	* qalc completion
	* Autoconf updates -- make compilation of qalc and qalculate-gtk optional as well as readline
	* qalc save variable, set assumptions, and more

2004-10-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Ask if exchange rates shall be downloaded the first qalculate run
	* Number base 1 makes no sense
	* More work on qalc

2004-10-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Change n for micro to u
	* Command line program "qalc"
	* Get rid of traces of separate angle unit variable

2004-10-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add filter to save result to image file dialog
	* Install libqalculate as a shared library

2004-09-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Alternative to use step size instead of sampling rate for generation of plot data
	* Big approximate and precision check and fix
	* Message about the limited functionality of the gamma function

2004-09-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Gamma for rational numbers with denominator 2
	* Double and multi factorials
	* Tweak parsing of !-factorials 
	* Modify CLN error message
	* hyperfactorial() and superfactorial()
	* Make factorials more efficient by using CLN numbers directly

2004-09-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow arguments to only be used in sub functions
	* Remove countArgOccurence() as it is not needed any more
	* Drop support for gtk+ < 2.4
	* Fix large integers displayed inexact was reported as exact
	* Stop gamma() if argument is not an integer
	* Read precision from zero with decimals (0.000...)
	* Set precision from function and its arguments after function calculation

2004-09-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* "Inverse" -> "Matrix Inverse"
	* Fix isolate_x() when comparison type is not equals
	* Make plot non-numerical error more informative and include non-reals
	* No use to have if() arguments as text, as they now only are parsed initially
	* Fix trimmean() and winsormean()
	* Localize "timed out"
	* Version 0.6.4

2004-09-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix selection of variable to solve
	* New solve2() function
	* New multisolve() function
	* Do not add modified data object once more
	* Do not check against new data objects for duplicates
	* Get a default name for new vector/matrix just as with other known variables
	* Display error when plot data contains non-numerical values
	* Show function condition in function description
	* Update Swedish translation
	* We need to sort fully recursively before merging factors in factorize()
	* Fix factorization with duplicate factor with a in (ax+b) greater than one
	* Add new expression to expression history after set unknowns
	* Use g_find_program_in_path() to check if gnuplot and wget is available to avoid terminal output

2004-09-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* unitedit_glade was used in variable dialogs
	* Use factorization in isolate_x()
	* Improve isolate_x()
	* Check if terms is equal (or a = -b) with the current precision in subtract and add to be able to find very small numbers that really are zero
	* isolate_x() fixes
	* Preserve evaluation options through factorization

2004-09-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Include both "liter" and "litre" to avoid confusion
	* Add "tonne" for metric ton
	* Prefer keeping the original unit if equally good when converting to best unit
	* Merge infinite numbers with somewhat known structures
	* Be a bit more strict with undefined values
	* Ohm and farad are SI units

2004-09-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Increase space after imaginary i by 1
	* Fix never ending loop in getBestPrefix()
	* Fix (2x)/(5(yz)) --> (2x)/(5yz)
	* Take into account place_units_separately in improve_division_multipliers()
	* Increase space at end of parenthesis by 1
	* Change components() to dimension()
	* Set correl() as a different name for pearson() instead of a separate function
	* Check that the dimension of vectors is equal in pearson() and spearman()
	* Test if polynomial division reduces the size of the expression
	* Stop after editing data set from edit function function
	* Tweak data set info printing removing tabs
	* Save Image -> Save Image...

2004-09-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix data object edit option menu
	* Do not show error when global data file cannot be loaded for local data set
	* Update data property list also when the data set is new
	* Fix setting data set function name
	* Set default argument names for data set when entries are empty
	* Do not delete original property and add new -- set original with new to not invalidate references in objects
	* Position progress dialog center parent, and set unknowns and convert to unit expression under mouse
	* Once again, fix prefix selection when prefix is first before/after zero

2004-09-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Rational factorization of higher degree polynomials

2004-09-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Some result display tweaks
	* Update function titles and argument names
	* Update Swedish translation
	* Update documentation
	* Print quotation marks for symbolic structures when not allow unusable
	* Display e*e^x with multiplication sign

2004-09-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Full factorization of quadratic polynomials
	* Transform sqrt(8) to 2*sqrt(2) (and similar) in exact mode
	* Fix xy-xy=xy !!!
	* Fix repeated apply in unknowns dialog

2004-09-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Updated result sorting
	* (-x-y)/z --> -(x+y)/z

2004-09-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Set unknowns dialog
	* More refined selection of popup menu items to show
	* Polynomial division
	* More reliable internal sorting

2004-09-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Extensive enhancements of symbolic division
	* Alternative to assume that unknown denominators are non-zero

2004-09-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Ex. 1/(x+10)=5, test if x+10 is zero after solve

2004-09-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Evaluation options was not always preserved when converting to best units
	* Display x^(5/2) as x^2*sqrt(x)

2004-09-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Internal sorting fixes
	* Update documentation
	* Update Swedish translation
	* Use displayed name when sorting

2004-09-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make factorization more functional

2004-09-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Integration fixes
	* Use representsNonZero() for arguments that must be non-zero

2004-09-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* "times", "plus", "minus", "per", "AND", "OR"

2004-09-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Finish GUI and user modifications for data sets

2004-09-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* rm -f qalculate; $(LN_S) qalculate-gtk qalculate

2004-08-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Edit and save data objects
	* Finish system property of units
	* Clean up some left over plural and singular stuff
	* Add unit system to edit GUI

2004-08-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Planets data set
	* Day and Julian Year
	* Fix set icon
	* Do not always make Calculator message window transient for main window
	* Save and load accel map

2004-08-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* data collection -> data set
	* Complete data set GUI

2004-08-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Complete most of the data collection stuff
	* Move elements to data collection format

2004-08-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix diff() with variables and functions that contains x
	* Simple integration

2004-08-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* ans2, ans3, ans4 and ans5
	* google/googleplex -> googol/googolplex
	* thousand and hundred
	* Reduce min result area height
	* Put angle mode in evalution options
	* Status text
	* Save to image
	* Initial work on data collection concept

2004-08-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix RPN mode
	* include errno.h

2004-08-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove giac arguments
	* Update documentation

2004-08-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix prefix selection when first positive/negative exponent prefix
	* No prefix in result prefix menu
	* Only left parenthesis where added around vector!
	* Make the title for mils more descriptive
	* FIx matrix multiplication

2004-08-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make no comparison to solve error message more informative
	* Do not factorize if factor is not non-zero
	* Fix prefix selection with negative exponent prefixes
	* Fix prefix selection with denominator prefix enabled

2004-08-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix concatenate()
	* Add localized full name to ans variable
	* Make sure that completion pops down when going back in history
	* Set minimum arguments to 1 for mergevectors()

2004-08-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix derangements() which was broken due to changed interpretation of -1^x
	* CALCULATOR->u_rad was null
	* True and False variables
	* "yes" -> "Yes" and "no" -> "No"
	* Localize "True" and "False" radio buttons
	* Add *.xml.in files to the dist tar sources
	* Complete exp1 in "2+5exp1"
	* Add undefined variable
	* Fix ids in text arguments when function is used in other function (fixes distribution functions)
	* Show classification in atom() dialog

2004-08-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove double decimal points
	* Nicer unit printing
	* Warn in name edit dialog if name is used
	* Update documentation
	* Use gtk-paste instead of gtk-go-forward icon for insert
	* Properties dialog for atoms in periodic table
	* Respect max decimals with show ending zeroes
	* Fix precision typos which made objects with undefined precision approximate
	* Make element properties selectable
	* Paste function instead of value of element property
	* Display classification in element dialog
	* Unformat parsed function expression
	* Make sure that no unwanted prefixes are left when function expression has been parsed
	* BMI (Body Mass index) function added (just to prove that Qalculate! is more than a scientific calculator)

2004-08-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Reduce number of element properties for now and verify
	* Periodic table
	* Update Swedish translation

2004-08-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not be backwards compatible for definitions saved with the current version
	* Update Swedish translation
	* Where there is approximate there shall also be precision
	* More physical constants
	* Fix formatting of x/unit
	* Add atomic mass unit, u
	* Add <system>si</system> again
	* Elements!
	* Ignore initial zeroes for precision

2004-08-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Finish names GUI
	* Finish new number precision system
	* Menu item for read precision
	* Option to show ending decimals (to see actual precision)
	* Fix parsing of numbers with base < 10 and decimal point

2004-08-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Initial work on GUI for new name system
	* Treat whole ending number as suffix (for log10)

2004-08-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* More work on name system
	* Remove quarter unit
	* Regenerate definition files
	* Remove duplicate names

2004-08-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not prefix currencies in all locales

2004-08-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* New system for variable, unit and function names
	* Solve quadratic equations

2004-07-31 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* System property for units ("si" value only used for now)
	* Optional automatic conversion to best or base units
	* Update version number in global definition files
	* Add CGS units

2004-07-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Mark SI units
	* Convert to best unit now only converts to SI units
	* Mass Fraction (kg/kg)
	* Fix insert and edit composite unit

2004-07-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Electron Volt is approximate

2004-07-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix arg()
	* ...and disable it as it does not work correctly
	* Fix i being display multiple times

2004-07-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Focus tweaks

2004-07-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* -5^2 = (-5)^2 -> = -(5^2)
	* Beautify 2 * -1
	* Fix not

2004-07-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show if precalculation display is approximate
	* Show if approximate conversion in units manager
	* Enable unicode signs in from-unit label
	* Deillion -> Decillion
	* Refine when to update result and display of result
	* Ability to disable complex results
	* Ability to disable infinite results

2004-07-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update variable lists in GUI after save function has been called
	* Do not let the user type any braces in the expression entry
	* Select added plot series and let enter in plot expression entry modify selected (if any selected)
	* Fix rad unit being dropped in unsolved sin/cos function
	* Fix plus/minus before id
	* Show precalculation result in history view

2004-07-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Oops! operators does not include parenthesis
	* Use unicode operators in text printing
	* base == 10 -> base >= 2 && base <= 10 (in parsing)
	* Refine CSV export dialog
	* Sort out some getActive... vs get...
	* Fix too many arguments warning
	* Increase function parsing efficiency (decrease number of MathStructure copies)
	* Produce vector imediately on parse
	* Export button in variables dialog
	* Split number base expression and export csv dialogs from main.glade
	* Remove <requires lib="gnome"/> lines
	* Update Swedish translation
	* Update documentation
	* Fix nameTaken()
	* Fix overwriting variable
	* Remove deleted items from recent units/variables/functions
	* Do not try to insert deleted variable

2004-07-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* More work on base in parse options
	* Fix E in rpn mode
	* Parsing tweaking
	* GUI for number base in expression

2004-07-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Alternative to round halfway integers to even (instead of upwards)
	* Make qalculate symlink from qalculate-gtk
	* Fix addColumns() and import of CSV file to matrix
	* Export to CSV file
	* if, function, error, warning, load, save and title functions were not activated (oops!)
	* Let argument definitions parse default values
	* Do not parse ! as factorial if functions is disabled
	* Ability to set number base for expression parsing
	* Allow full expressions in base functions

2004-07-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Ability to set all number bases from 2 to 36 from GUI
	* Documentation updates
	* Alternative to use lower case letters in numbers
	* Fix double decimal point with integers
	* Fix decimal reduction rounding
	* Fix precision rounding
	* Fix approximate indication with multiple numbers
	* Fix printing of empty vector

2004-07-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update documentation
	* Force use of -O2 instead of -Os
	* Revert back to a^b^c = a^(b^z) (I don't remember changing it)
	* Unknowns disabled by default
	* Copy subfunctions
	* GUI for subfunctions

2004-07-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not segfault on exit
	* Fix compilation warnings

2004-07-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not try to fetch exchange rates everytime they are missing
	* Set fetch timeout to 5 seconds on first run
	* Inform user that we are trying to fetch exchange rates
	* Update fetch exchange rates at startup in preferences dialog

2004-07-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Follow ISO 8601 standard for week numbers (glib doesn't)
	* Sort out approximation with rounding

2004-07-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix input of numbers in bases > 10
	* Is approximate? fixes
	* usleep() is obsolete. use nanosleep() instead
	* Terminate threads before exit
	* Include unistd.h in main.cc for pipes

2004-06-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* definitions -> subfunctions
	* save subfunctions
	* Function::countSubfunctions()
	* Fix for()
	* Fix creation of vectors with zero or one component
	* Pass parse options to function parsing
	* Variables might contain functions
	* Fix approximate integer printing
	* Fix try exact

2004-06-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Release v. 0.6
	* Do not create a new thread for every calculation and printing

2004-06-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* ...

2004-06-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Continue converting to new internal structures

2004-06-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Continue converting to new internal structures

2004-05-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Converting to new internal structures

2004-05-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* New internal structures (Manager -> MathStructure)

2004-04-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Find linear function
	* Do not automatically recalculate on precision spinbutton update and add recalculate button to avoid annoying problems
	* More multiple root updates
	* Do not just clear the window, clear the pixbuf too
	* MatrixArgument->type should not return TEXT_ARGUMENT
	* Multiple roots updates

2004-04-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Put in some restrictions and enable multiple roots
	* Disable multiple roots
	* Remove 0 == any number from Manager->equals
	* try x^(y+z) = x^y*x^z and x^(yz) = x^y^z

2004-04-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Capitulate in search for exact as long as possible to fix alternatives
	* Recalculate directly on angle unit change
	* Enable multiple roots again
	* Do not ignore unsolvable comparison
	* Remove imaginary or real part present because of approximate floating point numbers
	* Do not display errors for arguments in exact precalculation
	* Do not display extra trailing zeros
	* Make comparison between floats in lower precision (but not less than user defined precision)
	* Fix printing of toplevel negative complex number
	* Return -(x^(1/3)) for (-x)^(1/3)

2004-04-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove integrate parts that does not work
	* Do not crash on i^4
	* Disable broken multiple roots

2004-04-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Hyperbolic and inverse does not take angle arguments
	* Fix raise by matrix
	* Fix raise by alternatives
	* Fix drawing of function

2004-03-31 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* More solve work
	* Fix sorting of alternatives
	* Fix wrong add alternatives to alternatives logic
	* Clean after multiplication raise... (serious bug)
	* Quadratic equations
	* Non-giac solve function and automatic "solving" of comparisons
	* Better comparison equals printing
	* Minimal non-giac integrate function

2004-03-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Finance -> Economics/Finance
	* Demand Elasticity function
	* Fix that all arguments wanted text after function editing
	* Free temporary composite units
	* Fix sin(x)/tan(x)
	* No (+ -) in printing with complex numbers
	* Fix sorting of complex numbers

2004-03-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Release v. 0.5
	* More extensive, verbose and fault-tolerant roman input

2004-03-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Set exact button for edit variable
	* Fix diff() with power without x
	* Fix compilation with gtk+ < 2.3
	* Do not crash on abort sum() (memory leak is better)
	* Change line width instead of drawing multiple lines
	* Use barckets instead of parenthesis when drawing matrix
	* Use commas for vector drawing
	* Fix matrix text printing

2004-03-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not let user disable loading of global definitions
	* Do not raise if makes approximate in exact mode
	* Cleanup unused functions
	* Fix hypotenuse and make non-builtin
	* Automatically act on "calculate variables"
	* Set e as default second argument in log()

2004-03-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* time()
	* week(), weekday(), year(), month(), day()
	* Allow "today" for dates
	* Use both localized and non-localized "to"
	* Sexagesimal number display
	* Fix prefixes with simple display format
	* Sexagesimal number input
	* (2 > 0) + (2 > 0) = 2 * (2 > 0)
	* Polynomial division refinements

2004-03-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Roman numerals
	* Polynomial division

2004-03-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix printing of complex numbers with negative imaginary part and no real part
	* re() and im()
	* Fix unit conversion
	* Imperial and U.S. capacity units
	* Fix nested product() and sum()
	* Correct treatment of (), "", '', and {} in text argument

2004-03-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Symbols for sum, product and ohm
	* derangements()
	* sum() and product() corresponding to the signs
	* sum() -> total()
	* Reorganisation of function categories

2004-03-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Complete convert to best unit

2004-03-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make result context menu context sensitive
	* Protect intValue and longIntValue against overflow
	* Fix printing of exponent 1E...
	* Convert to best unit (beginning)
	* Convert to base units

2004-03-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Define sin and cos as expressions
	* e^(i*pi) = -1 ...
	* ln -1 = i*pi, ln i = i*pi/2, ln -i = -i*pi/2
	* permanent()
	* Print short currency unit before value
	* Factorize independent of giac
	* Make my own derive function default

2004-03-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* asec, acsc, acot, sech, csch, coth, asech, acsch, acoth
	* cis
	* As we now have complex number, define inverse trigonometric functions as expressions
	* sec, csc, cot
	* "CAS" -> "Calculus"
	* Update my own derive function and enable it if giac is not used
	* Fix ln() argument so that e can pass through

2004-03-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show error when custom condition is not met
	* area, ascii and char functions
	* Limits function should accept negative numbers for end. Fixes trimmed, weighted and winsorized mean.
	* Nicer text printing of matrices and vectors

2004-03-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Save size of history dialog
	* Show a nice little help message the first time Qalculate! is started
	* Update Swedish translation
	* "quaert" -> "quart"
	* Do not insert parenthesis when completing if they already are there
	* New error message when matrix has no inverse
	* Make abort messages localized and nicer
	* Limit width of result display text
	* Use transparent pixbuf for result to not look ugly with pixmap themes
	* Support newer Giac versions

2004-03-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Serious try to fix the localized decimal point and comma once and for all
	* Use [] for vectors and matrices
	* Use Page Up and Page Down for expression history instead to allow completion to use Up and Down keys
	* huh! do not sort functions.
	* "European 30/365" -> "European 30/360"
	* Fix date calculations
	* Add "allow_complex" property for number arguments
	* Fix abs (for complex numbers)

2004-03-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Handle CLN errors better
	* Font selection for expression entry
	* Replace Fraction and Integer with new Number class

2004-03-12 Hanna Knutsson <hanna.knutsson@protonmail.com>
	
	* Set selected font in custom font dialog
	* Save time by first destroying completion then updating list then creating new completion on update
	* Do not crash when updating completion after new variable
	* Bring up user interface as soon as possible
	* Make completion block work
	* Move recent objects to to the top of object menus
	* "buttons" -> "keypad"
	* Completion finished
	* Ugly fix to not complete on completed
	* Add units to completion if not composite
	* Use g_utf8_next_char and g_utf8_prev_char

2004-03-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Advanced completion in expression
	* Popup menu for resultview

2004-03-10 Hanna Knutsson <hanna.knutsson@protonmail.com>
	
	* Lower default precision
	* Make history button a regular button
	* Reworked GUI -- menubar, expander, history window...
	* Release 0.4.2a
	* Set correct name on separator again
	* Fix some compiler warnings
	* Fix compilation without Giac

2004-03-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Release 0.4.2
	* Proofread manual
	* Allow currencies to be put in front of quantity
	* Cent, yen, pound and dollar signs
	* Remove debug output related to Giac 
	* Fix some troubles printing complex numbers

2004-03-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update Swedish translation
	* First manual draft finished
	* Remove compiler warnings

2004-03-06 Hanna Knutsson <hanna.knutsson@protonmail.com>
	
	* Gnuplot does not like quotation signs
	* Do not abort when locale not supported by C library

2004-03-05 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix unit conversion of ex. ch^2 to acre
	* Some menu fixes
	* More user documentation

2004-03-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Move calculate multiple roots option to result menu
	* Move unit display options to a unit display submenu
	* Begin writing the manual
	* Add help menu item if libgnome is available	
	* Add build structure for gnome style user documentation

2004-03-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix exponential display in non-fractional mode with negative exponents
	* Fix big mistake in log (if negative exact result, returned zero)
	* Use "tab" for tab ("\t") a separator in load

2004-03-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Load CSV file as matrix function (load)
	* File argument
	* Replace localized decimal point with dot in plot data
	* Save history (20 rows)
	* Expression entry history
	* "Save Result" -> "Store Result"

2004-02-28 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Calculate command line expression

2004-02-26 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Release 0.4.1
	* Fix parsing of text arguments
	* Replace strptime with g_date_set_parse

2004-02-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Destroy widgets after autoconnect

2004-02-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use the new file chooser
	* "Select file to import" --> "Select file to export"

2004-02-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Release 0.4
	* Fix tanh

2004-02-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Reenable checks for arguments that results in infinity
	* Fix comparison with complex numbers (not solvable)

2004-02-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add giac functions in functions.xml

2004-02-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix binomial arguments
	* Update Swedish translation

2004-02-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove PACKAGE and VERSION warnings with giac
	* Permutations and combinations

2004-02-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Start even if gnuplot is not present

2004-02-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Complex numbers: log, pow, root

2004-02-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Filter out all duplicate errors
	* Fix compilation without giac
	* Forward: "Copy Result" menu item
	* Forward: Correctly calculate divison by root with multiple solutions.
	* Forward: Remove unused non-portable function.

2003-11-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Complex numbers...
	* Complex number printing
	* Use Newton's Binomial Formula for raised addition manager
	* Binomial function
	* Manager::set(const Integer*)
	* Start work on complex numbers

2003-10-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show argument names when too few arguments
	* Really no need to have exp, exp2 and exp10 as builtins
	* Log tweaks
	* More trigonometric tweaks
	* Giac might actually return -1*1 (we prefer -1)
	* Catch giac errors
	* Define tan, asinh, acosh, atanh as sin(x)/cos(x), log(x+sqrt(x^2+1)), ...
	* Handle pi correctly in trigonometric functions
	* Delay calculation of inexact values
	* New variable manager

2003-10-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Giac function
	* Factorize in result menu
	* New functions: diff, integrate, solve
	* Giac support
	* Do not crash when printing a manager with matrix

2003-10-27 Hanna Knutsson <hanna.knutsson@protonmail.com>
	
	* Release Qalculate-GTK version 0.3.1
	* Left over missing setPrecise() in builtin functions
	* Fix printing of function manager
	* Fix display of only number in numerator
	* Parenthesis adjustments
	* Update swedish translation
	* More extensive error handling for misplaced operators
	* Replace "**" with "^"
	* Fix parenthesis in Manager::print()
	* Recreated Manager::print() from gtk drawing function
	* Optional prefix for denominator
	* Reworked composite unit printing
	* Reworked prefix handling
	* Reworked drawing of MULTIPLICATION_MANAGER
	* Fix loadLocalDefinitions()
	* Year and Century units
	* Fix parsec, light year, astronomical unit, and torr
	* Plural fixes
	* Draw unit names with "_" replaced by space

2003-10-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Compability fixes for Unit.cc
	* change strold to strol in HEX()
	* remove ld2s()
	* provide another workaround for strptime
	* some warnings left
	* remove llpow() as it only creates problems
	* __USE_XOPEN for strptime
	* Replace insert(0, 1, ...) with insert(begin(), 1, ...)
	* Fix ALL warnings
	* Ignore blanks in BIN(), OCT(), HEX(), BASE()
	* Fix number bases dialog

2003-10-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not use scandir as Solaris does not support it
	* Access hash_map header properly
	* Update POTFILES.in for new glade files
	* Remove #include <ext/hash_map> from Calculator.h

2003-10-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Split up glade file
	* minute -> min
	* Now function can have the same name as a unit or variable, but units and variables cannot have the same name

2003-10-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Release Qalculate-GTK version 0.3
	* Disable convert in units dialog when no unit selected	
	* Revert fractional button to use combined fractional display, but treat it as normal fractional display for regular text
	* Draw parenthesis around not alone manager (not power) with childs in denominator
	* Add a bit more space behind italic text to not cut tall chars off
	* More drawing fixes

2003-10-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Include all bytes in unicode char for unknown variables in setFunctionsAndVariables()
	* Fix Manager->print(), and as below
	* Display x^-y as 1/x^y in non-scientific mode
	* Draw multiplication manager fixes
	* Put menus before items
	* More TODO
	* Also add icon.xpm
	* Add qalculate.h to Makefile.am to get it included in dist
	* Accel fixes and additions
	* Move "convert number basis" to the other menu
	* Reorder some buttons to follow HIG
	* Make convert unit dialog non-modal

2003-10-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Display ^0.5 as square root
	* Fix display of ugly -x^-0.5 (still ugly but no duplicate ones and spaces)
	* Stop display errors a bit more...

2003-10-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not delete selection on sqrt button clicked but act as with the other functions
	* Make answer variables a special case which cannot be edited and does not display result in variable dialog
	* Change "first"/"second" axis to "primary"/"secondary"
	* Put axis after smooth
	* Fix rms(), stdev(), stdevp()
	* Fix error in setFunctionsAndVariables that stopped unknown variables after something was set
	* Remove CVS version title
	* Write something in AUTHORS and NEWS
	* Hidden property in function and unit edit dialogs
	* Hide some annoying composite units (m/m and m2/m2)
	* Hide hidden items in menus
	* New hidden property for ExpressionItem (meant for some composite units and sub functions)

2003-10-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Finally implement angle units and allow direct specification of angle unit in trigonometric functions
	* rem and rad units renamed to rem_radioactivity and rad_radioactivity
	* Some swedish translation updates
	* Some tooltip updates
	* Some TODO updates
	* Fill in the last argument titles and add some descriptions
	* Set min arguments to zero if lower (and max to -1)
	* Argument names and descriptions for matrix and vector functions
	* Rename title "Power" with "X raised to Y" to solve translation conflict with the category "Power"
	* Fix 0^0 warning

2003-10-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* If add argument button is not sensitive, modify argument instead on enter
	* Fix arguments for process()
	* Titles for functions and arguments in utilities category
	* Put buttons in first tab
	* Default to show buttons
	* Remove quotes from default values in insert function dialog
	* Matrix multiplication error message
	* Better error message for misplaced operators
	* Updated swedish translation
	* More argument names
	* Fix category selection after editing
	* Argument names for all geometry functions
	* Do not use "free" for argument == NULL but printlong() of default argument

2003-10-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not add extra space after matrix in GTK widget
	* Update rank() and sort() to new comparison that not only allows fractions
	* Update min() and max() to new comparison that not only allows fractions
	* Go back to builtin sum() function as sum() is used often and csum() is rather slow
	* eurocent and cent
	* Fix yearfrac() for basis = 1
	* More TODO
	* Category "Matrices" -> "Matrices & Vectors", "Financial" -> "Finance"

2003-10-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Finally make class variables in Manager protected
	* setPrecise(fraction()->isPrecise()) after operation directly on Manager::fraction()
	* Change output of "log" button to log10
	* Write more in TODO

2003-10-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update plot on add/modify/remove
	* Use only one gnuplot process/window and close it on exit
	* Fix crach on create new variable dialog
	* Delete the submenus, not the menu item, when updating
	* Do not update treeviews if not created
	* Save plot settings
	* Switch to enums for style and smoothing

2003-10-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* More plot stuff
	* Change step to steps
	* Make that the second tab page is realised
	* Save plot as postscript, eps, png, svg, fig or latex
	* Set a nicer font for gnuplot
	* Plot dialog: tabwidget, paired matrix, save
	* Plots: logscale, style, separate smoothing for each line, title, grid, color, linewidth, borders
	* Set timeout for wget and error on fail
	* Check if wget and gnuplot is available

2003-10-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Plot dialog
	* Lots of plotting stuff
	* Hide on destroy and delete events for non-modal windows
	* Place terms with negative sign in the back when not using scientific sorting
	* Do not display more than one minus
	* Change compare() in Manager to sortCompare() and add real compare() function
	* Plot vector
	* Plotting with gnuplot
	* Fix crash with no argument definitions and variable number of arguments
	* Do not recreate currencies, just change the relation

2003-10-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fully enable builtin units
	* Do not print the same error message more than once
	* Fetch exchange rates from ECB
	* Fix crash by removing new line for alternative manager and gettextize the "or" while we are at it
	* Root functions non-abs
	* Fix argument check on alternative manager
	* Remove unnecessary gtk_main_iteration() as they create lots of problems
	* Do not unref wrong Manager in conversion in units dialog
	* Fix check of arguments in functions with unlimited number of arguments
	* Remove (again) prepended "1" for composite units
	* Fix prefixes

2003-10-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow disabling of multiple roots
	* "Recently Used"-menu
	* Fix rounding of negative numbers
	* Fix adding ALTERNATIVE_MANAGER to ALTERNATIVE_MANAGER
	* Change GUI code to allow unrestrained category depth
	* Load builtin unit definitions even if we have no such
	* Do not write active and precise attributes when true
	* Organize definitions files in a category tree structure
	* Make execute button in insert function dialog non-stock
	* Change button text to "Insert"
	* Fix insert function with undefined arguments
	* Use a frame for description in insert function dialog

2003-10-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use &amp; for &
	* Fix NOT
	* Fix signedness function (and comparisons)
	* Replace "<" with "&lt;" and ">" with "&gt;"
	* Display NOT_MANAGER
	* Make it configurable in preferences
	* Do not use annoying prefixes (hekto, deka, centi, deci) by default
	* Change unit conversion from printing value to using a value id as was originally intended
	* Delete string alternative "," when switching locale
	* #ifdef out fenv.h and floating point exceptions as they are only obstructing portability when using CLN
	* Cleanup
	* Warning function
	* Disable message function for now

2003-10-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Updated swedish translation
	* Do not actually lower the precision below 10 to prohibit overflow
	* Do not act when setting the initial value of spinbuttons
	* Precision and decimals dialog need not be modal
	* Actually load the correct nodes for the locale
	* New simpler algorithm for reading function arguments, which handles citations correctly
	* Accept zero length strings
	* Concatenate and Length functions
	* Save function

2003-09-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Execute expression when updating result display if expression has changed
	* Do not display more than 1500 digits in result display widget and not more than 500000 digits in history (works for me at least)
	* Restrict display time in variables dialog
	* Restrict value length if variables dialog
	* Delay calculation of variables
	* Remove signs menu
	* Try to speed up determinant (not very succeful)

2003-09-29 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* A little icon for the window
	* Update display outside of thread
	* Do not reverse order when transforming manager
	* Merge boolean operations into Manager class to enable unsolved operations
	* Make sure that thread actually is canceled before resuming
	* Change log to log10 and logn to log
	* Ignore syntax error function without parentesis are space before argument
	* New better algorithm for Calculator::setFunctionsAndVariables()
	* Nicer functions, variables and units dialogs
	* Show a nice progress dialog
	* More information (syntax and arguments) in description in functions dialog
	* Sort categories in edit dialogs

2003-09-27 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Safer threads
	* Switch unit->name() to short name and add singular to enable translation
	* Enable xml data translation
	* Use less attributes in xml
	* Implement GUI editing of argument rules
	* Replace empty optional value with default value
	* Fill in default values in insert function dialog
	* Add ability to abort long calculations
	* ...and slow result display

2003-09-25 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* New condition for functions which can test the relation between arguments
	* Error function
	* Boolean operators
	* For (loop) function
	* Fix crash on delete inactive definition in GUI
	* Definition edit fixes

2003-09-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Move defintions to library and PACKAGE_DATA_DIR/qalculate
	* Place local definitions in ~/.qalculate/definitions and load everything in that directory
	* XML definitions files
	* Update function edit dialog to new argument definitions, and turn function expression entry into a textview
	* Furthering argument definitions: new Argument classes that tests type and value
	* Fix parenthesis madness and handle missing left parenthesis

2003-09-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* ExpressionItem::isRegistered()
	* Once again constants -- new DynamicVariable class that recalculates value when precision has changed
	* Fix ...E-...
	* Fix root for negative results
	* Fix log for negative results
	* Fix display of ...E...
	* Fix infinite loop with prefixes <= 10E-1
	* Check file format and version of definitions file

2003-09-21 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix error message when too many arguments
	* Change "years_between_dates" to "yearfrac"
	* Fix day counting basis (hopefully gnumeric has done it right)
	* More financial functions
	* Fix mod, rem and frac
	* Better RPN support

2003-09-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* RPN Mode
	* Clean up EqItem.cc
	* Add variables for constants functions
	* Load definitions in exact mode
	* Reset (and restore) mode when loading definitions
	* Lots of tooltips (too many perhaps?)
	* Some definitions fixes
	* Function edit dialog: turn argument entry into a list view and add argument type
	* Do not locally save global deactivations

2003-09-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Big restructuring to fix editing of global definitions, including deactivation
	  of definitions and a new virtual ExpressionItem class
	* More error messages in matrix functions
	* Check if matrix operations were successful
	* Correct bad setPrecise(false) call in matrix
	* Speed up csum function for large vectors in statistical functions
	* Fix addition^integer
	* Fix display of 1/-x
	* Fix sqrt()
	* Fix display of fraction with 'E'
	* Fix display of 5*5^x
	* Fix detection of long prefixes
	* Fix 'E' (now we can have it in names)
	* Type label, spin buttons, date picker etc. in insert function dialog
	* Argument type

2003-09-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix insert function dialog
	* Add scrollbars to table in matrix edit dialog
	* CSV file import
	* Lots of statistical functions: range, harmonic mean, geometric mean, trimmed mean,
	  winsorized mean, quadratic mean, quartile, decile, percentile, interquartile range,
	  variance, standard error, mean deviation, pearson, spearman's rho,
	  covariance, correlation, pooled variance, paired t-test, unpaired t-test...
	* Add limits to custom sum function and allow references to other than current element (x_i-1)
	* Limits
	* Clean up base conversion functions
	* Fix If function

2003-09-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Sort function
	* Buttons to set if precise in variable and unit edit dialogs
	* Exact mode
	* Use vectors in max, min, mode and median
	* Make constants functions for more flexible precision

2003-09-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Change behavior of decimals settings
	* CLN support (requirement for now, in place of GMP)
	* Disable gnome support in glade file

2003-09-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* More accurate roots using Newton's Method with the libc function as initial value
	* Require GMP (it is not a priority right now to fix my own integer implementation)
	* GUI for edit/create matrix/vector
	* Remove repaint artifacts
	* Rank function

2003-09-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Pearson Correlation and Spearman's rho (still needs rank function)
	* Replace hardcoded statistical functions
	* Utility functions: csum (Custom sum), process (Process vector components)
	* Vector (\v) in user functions
	* Function function for immediate creation and execution of a custom function
	* Indicate infinite sequence of decimals (configurable)
	* Custom font selection
	* Vector
	* Better alignment

2003-09-07 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use GtkDrawingArea to make result display nicer
	* More matrix functions: cofactor, adjoint, inverse

2003-09-03 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Matrix functions: determinant (det), identity, transpose, element, columns, rows, matrix
	* Multiple solutions (4^0.5 = 2 or -2)
	* More work on matrices

2003-09-02 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Beginning of matrix support
	* Fix zero division

2003-09-01 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* factorial function and !
	* frac and int functions
	* Menu items for fractional representation
	* Turn "use prefixes" into check menu item

2003-08-31 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Move builtin functions to fraction system
	* Reactivate display modes, decimals and precision
	* Use GMP if available in Integer class (much faster)

2003-08-30 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show if result is exact or not
	* Arbitrary precision
	* Move from long double to Fraction

2003-08-24 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Decimal string to fraction
	* Date functions (for financial functions)
	* Fixes

2003-08-23 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Localized dot and more

2003-08-22 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fractions and restructuring

2003-08-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* CALCULATOR macro (removes Calculator object from all classes)
	* New Prefix class and new get/add prefix functions; prefixes stored in a sorted vector
	* New get Function/Variable/Unit(index) functions

2003-08-20 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fraction button
	* Fraction Manager
	* New Fraction class

2003-08-19 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add title label to insert function dialog
	* Remove duplicate adding of answer variables, and remove from global definitions file... and gettextize

2003-08-18 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Qalculate! version 0.2 released
	* Last minute fixes
	* More unicode
	* Fix display of exponent of exponent
	* Put unicode chars on buttons in code and add option to disable unicode signs
	* Unicode math operators
	* Save version info to configuration file
	* Update version number

2003-08-17 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Only put "1 " in front of unit in toplevel
	* Fix 5*5^m (endless loop in Manager::convert)
	* Unscientific mode gives inexact result display -- disable for now
	* Disable installation of old German translation (will enable again after v0.2)
	* Create en_GB and en_US locales to get that nice square root sign
	* Do not shrink result label on clear
	* Do not expand menu buttons
	* Make functions dialog a bit nicer
	* Make units dialog a bit nicer
	* More energy and pressure units
	* Some constants
	* Write variables to file with maximum precision
	* Show variable title in menu and tree
	* Unit expression conversion fixes
	* Make operators wrap selection in parenthesis instead of deleting it, thus they operate on the result after execute
	* Insert ^ directly instead of waiting for another key press.
	* Fix annoying repositioning of text cursor in n-bases dialog
	* Update conversion in units dialog after focus out event in entries
	* Remove empty parenthesis after zero argument functions
	* Fix disabling of units
	* Fix unclosed brackets
	* restrict abs() to numbers
	* Change Function::name(string), Unit::title(string), etc. to setTitle(), setName()

2003-08-16 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Google style in expression conversion (ex. 5 m to ft = 16.4 ft)
	* Small unit conversion fix (1 km/1 kg => 1 km/kg).
	* More units.
	* Fix loading of alias unit that is defined before its base unit in file
	* Modify priotrity for calculations so that inexplicit multiplication is calculated before division (2/2(x) = 2/(2*x)) and functions (sin 2x(x) = sin (2x*x), but sin(2x)(x) is still sin(2x)*x)
	* Some restructuring
	* Unbreak brokeness from last fix
	* Move three small dialogs to Glade
	* Convert button

2003-08-15 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix bracket madness breaking unbrackened division (!)
	* About dialog

2003-08-14 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix loading of argument names for builtin functions
	* Do not add argument names in code for builtin functions, read from definitions file instead
	* Fix crash when creating new unit
	* Disable OK button for editing global definitions until structure is sorted out
	* Beautify dialogs
	* Functions, variables and units buttons in main window
	* Sorting menus
	* Tree lists implemented for units, variables and functions dialogs
	* Submenus implemented for unit, variable and function menus
	* Connect "convert to"-button in unit managaer to new conversion system
	* Complete set of SI units
	* Various fixes

2003-08-13 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove duplicate functions
	* Do not save unchanged global definitions in users definitions files
	* Selectable prefix in result
	* Fully functional unit conversion!

2003-08-12 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Interpret "apple" as an unknown variable named apple
	* Add base conversion dialog
	* Beautify units dialog
	* Store pointer to unit in GUI to simplify the Unit/ComplexUnit mess
	* Enable editing/creation of composite units
	* New Greatest Common Divisor (gcd) function
	* First try at differentiation
	* Fix division

2003-08-11 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Beautify insert function dialog
	* Populate category combos
	* Turn base unit combo into entry as it probably is not a good idea to fill the combo with all units
	* Gladeify the variable and function edit dialogs hidden callbacks.cc (gladeification finished?)
	* Beautification of dialogs
	* Huge gladeification of signals and widget references

2003-08-10  Sven Herzberg  <herzi@gnome-de.org>

	* data/qalculate.glade: don't know what exactly, but i'm sure that we
	got rid of one c dialog more
	* src/callbacks.cc:
	* src/interface.cc:

2003-08-10 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use <sup></sup> for all exponents for consistency
	* New elegant and intelligent sorting, not only for internal purposes
	* Updated swedish translation.
	* Gettextized error messages.
	* Updaterad Calculator::error().
	* Only enable prefixes in front of units
	* Fix disable/enable variables/functions/units/unknown
	* Found true evil in Manager::sort(). This should solve many problems. :-)
	* Enable binary output for larger numbers
	* Fix nested functions
	* Fix prefix followed be unit
	* Fix functions without parenthesis
	* correct widget name (units_option_menu_to_unit)
	* handle long result by making the window not resizable and the result label wrap

2003-08-09 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Swedish translation
	* More strings to translate
	* Binary output
	* Fix BASE()
	* Fix prefixes in expression
	* Added ability to disable unknown variables
	* Support unsolved function -- now log(x) returns log(x) instead of the result of log(0)
	* Fix prefix display mode (only use in front of units to avoid confusion and support exponents)

2003-08-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Set LC_NUMERIC to "C" to make strold() happy
	* Minor restructuring in preparation for different decimal points
	* Comment out debug output. Now (x+y)^50 takes 1 instead of 100 seconds.
	  For those interested, the result of (x+y)^100 is 24287 pixels wide...

2003-08-08  Sven Herzberg  <herzi@gnome-de.org>

	* data/qalculate.glade,
	* src/interface.cc: glade-ified the preferences dialog

2003-08-08  Sven Herzberg  <herzi@gnome-de.org>

	* data/qalculate.glade,
	* src/interface.cc: glade-ified the units dialog
	* po/de.po: updated translation

2003-08-08  Sven Herzberg  <herzi@gnome-de.org>

	* src/interface.cc: removed unneccessary variables

2003-08-08  Sven Herzberg  <herzi@gnome-de.org>

	* data/qalculate.glade,
	* src/interface.cc: glade-ified the variables dialog

2003-08-08  Sven Herzberg  <herzi@gnome-de.org>

	* src/interface.cc: removed unneccessary variables

2003-08-08  Sven Herzberg  <herzi@gnome-de.org>

	* data/qalculate.glade,
	* src/callbacks.cc,
	* src/interface.cc: finished moving the menus

2003-08-08  Sven Herzberg  <herzi@gnome-de.org>

	* data/qalculate.glade,
	* src/callbacks.cc,
	* src/interface.cc: moving the menus to a (hidden) menubar to
	solve a warning regarding an accelerator group

2003-08-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Move generated menus one step up
	* Add finalize() after conversion in callbacks.cc

2003-08-08 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Some more fixes that I do not remember
	* Fix (x+y)^(6+n)
	* Fix kWs = W^2 * s^2 in Calculator.cc
	* Do not convert units during the whole calculation, do it in finalize() afterwards instead
	* Make units work even better.
	* Move OCT, HEX, BIN and BASE functions to category "Number Bases"

2003-08-08  Sven Herzberg  <herzi@gnome-de.org>

	* configure.in: added -Wall stuff again (was just a typo)
	* src/interface.cc: removed some unneccessary variables from
	create_window

2003-08-08  Sven Herzberg  <herzi@gnome-de.org>

	* data/qalculate.glade: includes the complete main window now
	* src/callbacks.cc: removed the GtkHSeparator (the're not used anymore)
	* src/interface.cc: moved the whole main window to the glade file

2003-08-07  Sven Herzberg  <herzi@gnome-de.org>

	* data/qalculate.glade: added the expression menu and the result menu
	* po/de.po: updated translation
	* src/callbacks.cc: glade updates
	* src/interface.cc: glade updates

2003-08-07  Sven Herzberg  <herzi@gnome-de.org>

	* src/interface.cc,
	* src/interface.h,
	* src/main.cc: as the return value of create_window was only used to
	display the widget, made create_window a void method and display
	widget from there

2003-08-07  Sven Herzberg  <herzi@gnome-de.org>

	* configure.in: added libglade dependency
	* data/Makefile.am: added glade file
	* data/qalculate.glade: user interface definition
	* src/callbacks.cc: removed the extern GtkWidget *window
	* src/interface.cc: started migration to glade
	* src/interface.h: started migration to glade
	* src/main.cc: started migration to glade

2003-08-07  Sven Herzberg  <herzi@gnome-de.org>

	* .cvsignore: cvs update has less warnings now
	* configure.in: added de to ALL_LINGUAS
	* data/qalculate.desktop.in: fixed the starter
	* po/.cvsignore: cvs update has less warnings now
	* po/de.po: updated german translation

2003-08-07  Sven Herzberg  <herzi@gnome-de.org>

	* data/Makefile.am: added fixes for kde pre-3.2 (aka stable)

2003-08-07  Sven Herzberg  <herzi@gnome-de.org>

	* .cvsignore: cvs update has less warnings now
	* configure.in: some beautification (will fix -Wall later this day)
	* data/.cvsignore: cvs update has less warnings now
	* data/Makefile.am: added desktop file
	* data/qalculate.desktop.in: desktop file template
	* po/.cvsignore: cvs update has less warnings now
	* po/POTFILES.in: added data/qalculate.desktop
	* po/de.po: added german translation

2003-08-07  Sven Herzberg  <herzi@gnome-de.org>

	* src/main.cc: some beautification
	* src/main.h: made enums from #defines (are the values relevant?)

2003-08-06 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Removed some debug output
	* Fix (x+y)^5, but unfortunately not (x+y)^6...
	* Even better unit conversion.
	* Change Ctrl+V to Ctrl+M for manage variables

2003-08-06  Sven Herzberg  <herzi@gnome-de.org>

	* Makefile.am: make dist works now
	* configure.in: added data/Makefile.am
	* data/.cvsignore: cvs update has less warnings now
	* data/Makefile.am: make dist works now, make install too
	* po/.cvsignore: cvs update has less warnings now

2003-08-06  Sven Herzberg  <herzi@gnome-de.org>

	* .cvsignore: cvs update has less warnings now
	* Makefile.am: added data as subdir
	* acconfig.h: removed (templates are deprecated)
	* configure.in: added libtool
	* data/Makefile.am: added config file installation
	* po/.cvsignore: cvs update has less warnings now
	* src/.cvsignore: cvs update has less warnings now
	* src/Makefile.am: switched to libtool now
	* src/calclib/.cvsignore: cvs update has less warnings now
	* src/calclib/Makefile.am: using libtool now

2003-08-04 Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Optional arguments for functions
	* More functions...
	* Implemented if...then...else function
	* "config" -> "definition"
	* Added Execute button to insert function dialog
	* Added some financial functions
